_milliseconds:
;tof_hw.c,15 :: 		uint32_t milliseconds()
;tof_hw.c,17 :: 		return milliseconds_counter;
LW	R2, Offset(_milliseconds_counter+0)(GP)
;tof_hw.c,18 :: 		}
L_end_milliseconds:
JR	RA
NOP	
; end of _milliseconds
_tof_check_timeout_expired:
;tof_hw.c,20 :: 		bool tof_check_timeout_expired()
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;tof_hw.c,22 :: 		return (io_timeout > 0 && ((uint16_t)milliseconds() - timeout_start_ms) > io_timeout);
LHU	R2, Offset(_io_timeout+0)(GP)
SLTIU	R2, R2, 1
BEQ	R2, R0, L__tof_check_timeout_expired100
NOP	
J	L_tof_check_timeout_expired1
NOP	
L__tof_check_timeout_expired100:
JAL	_milliseconds+0
NOP	
LHU	R3, Offset(_timeout_start_ms+0)(GP)
SUBU	R2, R2, R3
ANDI	R3, R2, 65535
LHU	R2, Offset(_io_timeout+0)(GP)
SLTU	R2, R2, R3
BNE	R2, R0, L__tof_check_timeout_expired101
NOP	
J	L_tof_check_timeout_expired1
NOP	
L__tof_check_timeout_expired101:
ORI	R2, R0, 1
J	L_tof_check_timeout_expired0
NOP	
L_tof_check_timeout_expired1:
MOVZ	R2, R0, R0
L_tof_check_timeout_expired0:
;tof_hw.c,23 :: 		}
L_end_tof_check_timeout_expired:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _tof_check_timeout_expired
_tof_set_timeout:
;tof_hw.c,25 :: 		void tof_set_timeout(uint16_t timeout)
;tof_hw.c,27 :: 		io_timeout = timeout;
SH	R25, Offset(_io_timeout+0)(GP)
;tof_hw.c,28 :: 		}
L_end_tof_set_timeout:
JR	RA
NOP	
; end of _tof_set_timeout
_tof_get_timeout:
;tof_hw.c,30 :: 		uint16_t tof_get_timeout()
;tof_hw.c,32 :: 		return io_timeout;
LHU	R2, Offset(_io_timeout+0)(GP)
;tof_hw.c,33 :: 		}
L_end_tof_get_timeout:
JR	RA
NOP	
; end of _tof_get_timeout
_tof_write_reg:
;tof_hw.c,52 :: 		void tof_write_reg(uint8_t reg, uint8_t value)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;tof_hw.c,55 :: 		temp[0] = reg;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
ADDIU	R3, SP, 16
SB	R25, 0(R3)
;tof_hw.c,56 :: 		temp[1] = value;
ADDIU	R2, R3, 1
SB	R26, 0(R2)
;tof_hw.c,57 :: 		tof_hal_write(VL53L0X_ADDR, temp, 2);
ORI	R27, R0, 2
MOVZ	R26, R3, R0
ORI	R25, R0, 41
JAL	_tof_hal_write+0
NOP	
;tof_hw.c,58 :: 		}
L_end_tof_write_reg:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _tof_write_reg
_tof_write_reg_16Bit:
;tof_hw.c,62 :: 		void tof_write_reg_16Bit(uint8_t reg, uint16_t value)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;tof_hw.c,65 :: 		temp[0] = reg;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
ADDIU	R4, SP, 16
SB	R25, 0(R4)
;tof_hw.c,66 :: 		temp[1] = (uint8_t) (value >> 8);
ADDIU	R3, R4, 1
ANDI	R2, R26, 65535
SRL	R2, R2, 8
SB	R2, 0(R3)
;tof_hw.c,67 :: 		temp[2] = (uint8_t) (value);
ADDIU	R2, R4, 2
SB	R26, 0(R2)
;tof_hw.c,68 :: 		tof_hal_write(VL53L0X_ADDR, temp, 3);
ORI	R27, R0, 3
MOVZ	R26, R4, R0
ORI	R25, R0, 41
JAL	_tof_hal_write+0
NOP	
;tof_hw.c,69 :: 		}
L_end_tof_write_reg_16Bit:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _tof_write_reg_16Bit
_tof_write_reg_32Bit:
;tof_hw.c,72 :: 		void tof_write_reg_32Bit(uint8_t reg, uint32_t value)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;tof_hw.c,75 :: 		temp[0] = reg;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
ADDIU	R4, SP, 16
SB	R25, 0(R4)
;tof_hw.c,76 :: 		temp[1] = (uint8_t) (value >> 24);
ADDIU	R3, R4, 1
SRL	R2, R26, 24
SB	R2, 0(R3)
;tof_hw.c,77 :: 		temp[2] = (uint8_t) (value >> 16);
ADDIU	R3, R4, 2
SRL	R2, R26, 16
SB	R2, 0(R3)
;tof_hw.c,78 :: 		temp[3] = (uint8_t) (value >> 8);
ADDIU	R3, R4, 3
SRL	R2, R26, 8
SB	R2, 0(R3)
;tof_hw.c,79 :: 		temp[4] = (uint8_t) (value);
ADDIU	R2, R4, 4
SB	R26, 0(R2)
;tof_hw.c,80 :: 		tof_hal_write(VL53L0X_ADDR, temp, 5);
ORI	R27, R0, 5
MOVZ	R26, R4, R0
ORI	R25, R0, 41
JAL	_tof_hal_write+0
NOP	
;tof_hw.c,81 :: 		}
L_end_tof_write_reg_32Bit:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _tof_write_reg_32Bit
_tof_read_reg:
;tof_hw.c,84 :: 		uint8_t tof_read_reg(uint8_t reg)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;tof_hw.c,86 :: 		uint8_t value = reg;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SB	R25, 16(SP)
;tof_hw.c,87 :: 		tof_hal_read(VL53L0X_ADDR, &value, 1);
ADDIU	R2, SP, 16
ORI	R27, R0, 1
MOVZ	R26, R2, R0
ORI	R25, R0, 41
JAL	_tof_hal_read+0
NOP	
;tof_hw.c,88 :: 		return value;
LBU	R2, 16(SP)
;tof_hw.c,89 :: 		}
;tof_hw.c,88 :: 		return value;
;tof_hw.c,89 :: 		}
L_end_tof_read_reg:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _tof_read_reg
_tof_read_reg_16Bit:
;tof_hw.c,92 :: 		uint16_t tof_read_reg_16Bit(uint8_t reg)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;tof_hw.c,96 :: 		temp[0] = reg;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
ADDIU	R2, SP, 16
SB	R25, 0(R2)
;tof_hw.c,98 :: 		tof_hal_read(VL53L0X_ADDR, temp, 2);
ORI	R27, R0, 2
MOVZ	R26, R2, R0
ORI	R25, R0, 41
JAL	_tof_hal_read+0
NOP	
;tof_hw.c,99 :: 		value = (uint16_t) (temp[0]);
ADDIU	R4, SP, 16
LBU	R2, 0(R4)
ANDI	R2, R2, 255
;tof_hw.c,100 :: 		value <<= 8;
ANDI	R2, R2, 65535
SLL	R3, R2, 8
;tof_hw.c,101 :: 		value |= (uint16_t) (temp[1]);
ADDIU	R2, R4, 1
LBU	R2, 0(R2)
ANDI	R2, R2, 255
OR	R2, R3, R2
;tof_hw.c,102 :: 		return value;
;tof_hw.c,103 :: 		}
;tof_hw.c,102 :: 		return value;
;tof_hw.c,103 :: 		}
L_end_tof_read_reg_16Bit:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _tof_read_reg_16Bit
_tof_read_reg_32Bit:
;tof_hw.c,106 :: 		uint32_t tof_read_reg_32Bit(uint8_t reg)
ADDIU	SP, SP, -24
SW	RA, 0(SP)
;tof_hw.c,110 :: 		temp[0] = reg;
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
ADDIU	R2, SP, 20
SB	R25, 0(R2)
;tof_hw.c,112 :: 		tof_hal_read(VL53L0X_ADDR, temp, 3);
ORI	R27, R0, 3
MOVZ	R26, R2, R0
ORI	R25, R0, 41
JAL	_tof_hal_read+0
NOP	
;tof_hw.c,114 :: 		value |= ((uint32_t) temp[0]) << 24;
ADDIU	R4, SP, 20
LBU	R2, 0(R4)
ANDI	R2, R2, 255
SLL	R3, R2, 24
LW	R2, 16(SP)
OR	R3, R2, R3
SW	R3, 16(SP)
;tof_hw.c,115 :: 		value |= ((uint32_t) temp[1]) << 16;
ADDIU	R2, R4, 1
LBU	R2, 0(R2)
ANDI	R2, R2, 255
SLL	R2, R2, 16
OR	R3, R3, R2
SW	R3, 16(SP)
;tof_hw.c,116 :: 		value |= ((uint32_t) temp[2]) << 8;
ADDIU	R2, R4, 2
LBU	R2, 0(R2)
ANDI	R2, R2, 255
SLL	R2, R2, 8
OR	R3, R3, R2
SW	R3, 16(SP)
;tof_hw.c,117 :: 		value |= (uint32_t) (temp[3]);
ADDIU	R2, R4, 3
LBU	R2, 0(R2)
ANDI	R2, R2, 255
OR	R2, R3, R2
SW	R2, 16(SP)
;tof_hw.c,118 :: 		return value;
;tof_hw.c,119 :: 		}
;tof_hw.c,118 :: 		return value;
;tof_hw.c,119 :: 		}
L_end_tof_read_reg_32Bit:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 24
JR	RA
NOP	
; end of _tof_read_reg_32Bit
_tof_init:
;tof_hw.c,122 :: 		bool tof_init(bool io_2v8)
ADDIU	SP, SP, -32
SW	RA, 0(SP)
;tof_hw.c,135 :: 		if (io_2v8)
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
BNE	R25, R0, L__tof_init112
NOP	
J	L_tof_init2
NOP	
L__tof_init112:
;tof_hw.c,138 :: 		tof_read_reg(VHV_CONFIG_PAD_SCL_SDA__EXTSUP_HV) | 0x01);
ORI	R25, R0, 137
JAL	_tof_read_reg+0
NOP	
ORI	R2, R2, 1
ANDI	R26, R2, 255
;tof_hw.c,137 :: 		tof_write_reg(VHV_CONFIG_PAD_SCL_SDA__EXTSUP_HV,
ORI	R25, R0, 137
;tof_hw.c,138 :: 		tof_read_reg(VHV_CONFIG_PAD_SCL_SDA__EXTSUP_HV) | 0x01);
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,139 :: 		}
L_tof_init2:
;tof_hw.c,142 :: 		tof_write_reg(0x88, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 136
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,144 :: 		tof_write_reg(0x80, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 128
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,145 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,146 :: 		tof_write_reg(0x00, 0x00);
MOVZ	R26, R0, R0
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,147 :: 		stop_variable = tof_read_reg(0x91);
ORI	R25, R0, 145
JAL	_tof_read_reg+0
NOP	
SB	R2, Offset(_stop_variable+0)(GP)
;tof_hw.c,148 :: 		tof_write_reg(0x00, 0x01);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,149 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,150 :: 		tof_write_reg(0x80, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 128
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,153 :: 		tof_write_reg(MSRC_CONFIG_CONTROL, tof_read_reg(MSRC_CONFIG_CONTROL) | 0x12);
ORI	R25, R0, 96
JAL	_tof_read_reg+0
NOP	
ORI	R2, R2, 18
ANDI	R26, R2, 255
ORI	R25, R0, 96
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,156 :: 		tof_set_signal_rate_limit(0.25);
LUI	R25, 16000
ORI	R25, R25, 0
JAL	_tof_set_signal_rate_limit+0
NOP	
;tof_hw.c,158 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0xFF);
ORI	R26, R0, 255
ORI	R25, R0, 1
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,161 :: 		if (!tof_get_spad_info(&spad_count, &spad_type_is_aperture)) { return false; }
ADDIU	R3, SP, 18
ADDIU	R2, SP, 17
MOVZ	R26, R3, R0
MOVZ	R25, R2, R0
JAL	_tof_get_spad_info+0
NOP	
BEQ	R2, R0, L__tof_init113
NOP	
J	L_tof_init3
NOP	
L__tof_init113:
MOVZ	R2, R0, R0
J	L_end_tof_init
NOP	
L_tof_init3:
;tof_hw.c,163 :: 		ref_spad_map[0] = GLOBAL_CONFIG_SPAD_ENABLES_REF_0;
ADDIU	R3, SP, 19
ORI	R2, R0, 176
SB	R2, 0(R3)
;tof_hw.c,165 :: 		tof_hal_read(VL53L0X_ADDR, ref_spad_map, 6);
ORI	R27, R0, 6
MOVZ	R26, R3, R0
ORI	R25, R0, 41
JAL	_tof_hal_read+0
NOP	
;tof_hw.c,168 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,169 :: 		tof_write_reg(DYNAMIC_SPAD_REF_EN_START_OFFSET, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 79
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,170 :: 		tof_write_reg(DYNAMIC_SPAD_NUM_REQUESTED_REF_SPAD, 0x2C);
ORI	R26, R0, 44
ORI	R25, R0, 78
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,171 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,172 :: 		tof_write_reg(GLOBAL_CONFIG_REF_EN_START_SELECT, 0xB4);
ORI	R26, R0, 180
ORI	R25, R0, 182
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,174 :: 		first_spad_to_enable = spad_type_is_aperture ? 12 : 0; // 12 is the first aperture spad
LBU	R2, 18(SP)
BNE	R2, R0, L__tof_init115
NOP	
J	L_tof_init4
NOP	
L__tof_init115:
; ?FLOC___tof_init?T105 start address is: 8 (R2)
ORI	R2, R0, 12
; ?FLOC___tof_init?T105 end address is: 8 (R2)
J	L_tof_init5
NOP	
L_tof_init4:
; ?FLOC___tof_init?T105 start address is: 8 (R2)
MOVZ	R2, R0, R0
; ?FLOC___tof_init?T105 end address is: 8 (R2)
L_tof_init5:
; ?FLOC___tof_init?T105 start address is: 8 (R2)
; first_spad_to_enable start address is: 20 (R5)
SEB	R5, R2
; ?FLOC___tof_init?T105 end address is: 8 (R2)
;tof_hw.c,175 :: 		spads_enabled = 0;
; spads_enabled start address is: 28 (R7)
MOVZ	R7, R0, R0
;tof_hw.c,177 :: 		for ( i = 0; i < 48; i++)
; i start address is: 24 (R6)
MOVZ	R6, R0, R0
; spads_enabled end address is: 28 (R7)
; i end address is: 24 (R6)
L_tof_init6:
; i start address is: 24 (R6)
; spads_enabled start address is: 28 (R7)
; first_spad_to_enable start address is: 20 (R5)
; first_spad_to_enable end address is: 20 (R5)
ANDI	R2, R6, 255
SLTIU	R2, R2, 48
BNE	R2, R0, L__tof_init116
NOP	
J	L_tof_init7
NOP	
L__tof_init116:
; first_spad_to_enable end address is: 20 (R5)
;tof_hw.c,179 :: 		if (i < first_spad_to_enable || spads_enabled == spad_count)
; first_spad_to_enable start address is: 20 (R5)
ANDI	R3, R6, 255
ANDI	R2, R5, 255
SLTU	R2, R3, R2
BEQ	R2, R0, L__tof_init117
NOP	
J	L__tof_init95
NOP	
L__tof_init117:
ANDI	R3, R7, 255
LBU	R2, 17(SP)
BNE	R3, R2, L__tof_init119
NOP	
J	L__tof_init94
NOP	
L__tof_init119:
J	L_tof_init11
NOP	
L__tof_init95:
L__tof_init94:
;tof_hw.c,181 :: 		ref_spad_map[i / 8] &= ~(1 << (i % 8));
ANDI	R2, R6, 255
SRL	R2, R2, 3
ADDIU	R3, SP, 19
ANDI	R2, R2, 255
ADDU	R4, R3, R2
ANDI	R2, R6, 7
ANDI	R3, R2, 255
ORI	R2, R0, 1
SLLV	R2, R2, R3
NOR	R3, R2, R0
LBU	R2, 0(R4)
AND	R2, R2, R3
SB	R2, 0(R4)
;tof_hw.c,182 :: 		}
J	L_tof_init12
NOP	
L_tof_init11:
;tof_hw.c,183 :: 		else if ((ref_spad_map[i / 8] >> (i % 8)) & 0x1)
ANDI	R2, R6, 255
SRL	R2, R2, 3
ADDIU	R3, SP, 19
ANDI	R2, R2, 255
ADDU	R2, R3, R2
LBU	R3, 0(R2)
ANDI	R2, R6, 7
ANDI	R3, R3, 255
ANDI	R2, R2, 255
SRLV	R2, R3, R2
ANDI	R2, R2, 1
BNE	R2, R0, L__tof_init121
NOP	
J	L__tof_init96
NOP	
L__tof_init121:
;tof_hw.c,185 :: 		spads_enabled++;
ADDIU	R2, R7, 1
; spads_enabled end address is: 28 (R7)
; spads_enabled start address is: 12 (R3)
ANDI	R3, R2, 255
; spads_enabled end address is: 12 (R3)
ANDI	R7, R3, 255
;tof_hw.c,186 :: 		}
J	L_tof_init13
NOP	
L__tof_init96:
;tof_hw.c,183 :: 		else if ((ref_spad_map[i / 8] >> (i % 8)) & 0x1)
;tof_hw.c,186 :: 		}
L_tof_init13:
; spads_enabled start address is: 28 (R7)
; spads_enabled end address is: 28 (R7)
L_tof_init12:
;tof_hw.c,177 :: 		for ( i = 0; i < 48; i++)
; spads_enabled start address is: 28 (R7)
ADDIU	R2, R6, 1
ANDI	R6, R2, 255
;tof_hw.c,187 :: 		}
; first_spad_to_enable end address is: 20 (R5)
; spads_enabled end address is: 28 (R7)
; i end address is: 24 (R6)
J	L_tof_init6
NOP	
L_tof_init7:
;tof_hw.c,189 :: 		send_buffer[0] = GLOBAL_CONFIG_SPAD_ENABLES_REF_0;
ADDIU	R3, SP, 25
ORI	R2, R0, 176
SB	R2, 0(R3)
;tof_hw.c,190 :: 		for (i = 1; i < 7; i++)
; i start address is: 20 (R5)
ORI	R5, R0, 1
; i end address is: 20 (R5)
L_tof_init14:
; i start address is: 20 (R5)
ANDI	R2, R5, 255
SLTIU	R2, R2, 7
BNE	R2, R0, L__tof_init122
NOP	
J	L_tof_init15
NOP	
L__tof_init122:
;tof_hw.c,192 :: 		send_buffer[i] = ref_spad_map[i-1];
ADDIU	R3, SP, 25
ANDI	R2, R5, 255
ADDU	R4, R3, R2
ANDI	R2, R5, 255
ADDIU	R2, R2, -1
ADDIU	R3, SP, 19
SEH	R2, R2
ADDU	R2, R3, R2
LBU	R2, 0(R2)
SB	R2, 0(R4)
;tof_hw.c,190 :: 		for (i = 1; i < 7; i++)
ADDIU	R2, R5, 1
ANDI	R5, R2, 255
;tof_hw.c,193 :: 		}
; i end address is: 20 (R5)
J	L_tof_init14
NOP	
L_tof_init15:
;tof_hw.c,195 :: 		tof_hal_write(VL53L0X_ADDR, ref_spad_map, 6);
ADDIU	R2, SP, 19
SB	R25, 16(SP)
ORI	R27, R0, 6
MOVZ	R26, R2, R0
ORI	R25, R0, 41
JAL	_tof_hal_write+0
NOP	
;tof_hw.c,197 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,198 :: 		tof_write_reg(0x00, 0x00);
MOVZ	R26, R0, R0
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,200 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,201 :: 		tof_write_reg(0x09, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 9
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,202 :: 		tof_write_reg(0x10, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 16
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,203 :: 		tof_write_reg(0x11, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 17
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,205 :: 		tof_write_reg(0x24, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 36
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,206 :: 		tof_write_reg(0x25, 0xFF);
ORI	R26, R0, 255
ORI	R25, R0, 37
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,207 :: 		tof_write_reg(0x75, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 117
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,209 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,210 :: 		tof_write_reg(0x4E, 0x2C);
ORI	R26, R0, 44
ORI	R25, R0, 78
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,211 :: 		tof_write_reg(0x48, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 72
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,212 :: 		tof_write_reg(0x30, 0x20);
ORI	R26, R0, 32
ORI	R25, R0, 48
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,214 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,215 :: 		tof_write_reg(0x30, 0x09);
ORI	R26, R0, 9
ORI	R25, R0, 48
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,216 :: 		tof_write_reg(0x54, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 84
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,217 :: 		tof_write_reg(0x31, 0x04);
ORI	R26, R0, 4
ORI	R25, R0, 49
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,218 :: 		tof_write_reg(0x32, 0x03);
ORI	R26, R0, 3
ORI	R25, R0, 50
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,219 :: 		tof_write_reg(0x40, 0x83);
ORI	R26, R0, 131
ORI	R25, R0, 64
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,220 :: 		tof_write_reg(0x46, 0x25);
ORI	R26, R0, 37
ORI	R25, R0, 70
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,221 :: 		tof_write_reg(0x60, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 96
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,222 :: 		tof_write_reg(0x27, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 39
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,223 :: 		tof_write_reg(0x50, 0x06);
ORI	R26, R0, 6
ORI	R25, R0, 80
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,224 :: 		tof_write_reg(0x51, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 81
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,225 :: 		tof_write_reg(0x52, 0x96);
ORI	R26, R0, 150
ORI	R25, R0, 82
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,226 :: 		tof_write_reg(0x56, 0x08);
ORI	R26, R0, 8
ORI	R25, R0, 86
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,227 :: 		tof_write_reg(0x57, 0x30);
ORI	R26, R0, 48
ORI	R25, R0, 87
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,228 :: 		tof_write_reg(0x61, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 97
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,229 :: 		tof_write_reg(0x62, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 98
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,230 :: 		tof_write_reg(0x64, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 100
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,231 :: 		tof_write_reg(0x65, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 101
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,232 :: 		tof_write_reg(0x66, 0xA0);
ORI	R26, R0, 160
ORI	R25, R0, 102
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,234 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,235 :: 		tof_write_reg(0x22, 0x32);
ORI	R26, R0, 50
ORI	R25, R0, 34
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,236 :: 		tof_write_reg(0x47, 0x14);
ORI	R26, R0, 20
ORI	R25, R0, 71
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,237 :: 		tof_write_reg(0x49, 0xFF);
ORI	R26, R0, 255
ORI	R25, R0, 73
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,238 :: 		tof_write_reg(0x4A, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 74
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,240 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,241 :: 		tof_write_reg(0x7A, 0x0A);
ORI	R26, R0, 10
ORI	R25, R0, 122
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,242 :: 		tof_write_reg(0x7B, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 123
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,243 :: 		tof_write_reg(0x78, 0x21);
ORI	R26, R0, 33
ORI	R25, R0, 120
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,245 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,246 :: 		tof_write_reg(0x23, 0x34);
ORI	R26, R0, 52
ORI	R25, R0, 35
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,247 :: 		tof_write_reg(0x42, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 66
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,248 :: 		tof_write_reg(0x44, 0xFF);
ORI	R26, R0, 255
ORI	R25, R0, 68
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,249 :: 		tof_write_reg(0x45, 0x26);
ORI	R26, R0, 38
ORI	R25, R0, 69
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,250 :: 		tof_write_reg(0x46, 0x05);
ORI	R26, R0, 5
ORI	R25, R0, 70
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,251 :: 		tof_write_reg(0x40, 0x40);
ORI	R26, R0, 64
ORI	R25, R0, 64
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,252 :: 		tof_write_reg(0x0E, 0x06);
ORI	R26, R0, 6
ORI	R25, R0, 14
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,253 :: 		tof_write_reg(0x20, 0x1A);
ORI	R26, R0, 26
ORI	R25, R0, 32
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,254 :: 		tof_write_reg(0x43, 0x40);
ORI	R26, R0, 64
ORI	R25, R0, 67
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,256 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,257 :: 		tof_write_reg(0x34, 0x03);
ORI	R26, R0, 3
ORI	R25, R0, 52
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,258 :: 		tof_write_reg(0x35, 0x44);
ORI	R26, R0, 68
ORI	R25, R0, 53
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,260 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,261 :: 		tof_write_reg(0x31, 0x04);
ORI	R26, R0, 4
ORI	R25, R0, 49
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,262 :: 		tof_write_reg(0x4B, 0x09);
ORI	R26, R0, 9
ORI	R25, R0, 75
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,263 :: 		tof_write_reg(0x4C, 0x05);
ORI	R26, R0, 5
ORI	R25, R0, 76
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,264 :: 		tof_write_reg(0x4D, 0x04);
ORI	R26, R0, 4
ORI	R25, R0, 77
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,266 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,267 :: 		tof_write_reg(0x44, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 68
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,268 :: 		tof_write_reg(0x45, 0x20);
ORI	R26, R0, 32
ORI	R25, R0, 69
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,269 :: 		tof_write_reg(0x47, 0x08);
ORI	R26, R0, 8
ORI	R25, R0, 71
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,270 :: 		tof_write_reg(0x48, 0x28);
ORI	R26, R0, 40
ORI	R25, R0, 72
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,271 :: 		tof_write_reg(0x67, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 103
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,272 :: 		tof_write_reg(0x70, 0x04);
ORI	R26, R0, 4
ORI	R25, R0, 112
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,273 :: 		tof_write_reg(0x71, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 113
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,274 :: 		tof_write_reg(0x72, 0xFE);
ORI	R26, R0, 254
ORI	R25, R0, 114
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,275 :: 		tof_write_reg(0x76, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 118
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,276 :: 		tof_write_reg(0x77, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 119
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,278 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,279 :: 		tof_write_reg(0x0D, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 13
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,281 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,282 :: 		tof_write_reg(0x80, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 128
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,283 :: 		tof_write_reg(0x01, 0xF8);
ORI	R26, R0, 248
ORI	R25, R0, 1
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,285 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,286 :: 		tof_write_reg(0x8E, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 142
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,287 :: 		tof_write_reg(0x00, 0x01);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,288 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,289 :: 		tof_write_reg(0x80, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 128
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,292 :: 		tof_write_reg(SYSTEM_INTERRUPT_CONFIG_GPIO, 0x04);
ORI	R26, R0, 4
ORI	R25, R0, 10
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,293 :: 		tof_write_reg(GPIO_HV_MUX_ACTIVE_HIGH, tof_read_reg(GPIO_HV_MUX_ACTIVE_HIGH) & ~0x10);
ORI	R25, R0, 132
JAL	_tof_read_reg+0
NOP	
ORI	R3, R0, 239
AND	R2, R2, R3
ANDI	R26, R2, 255
ORI	R25, R0, 132
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,294 :: 		tof_write_reg(SYSTEM_INTERRUPT_CLEAR, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 11
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,296 :: 		measurement_timing_budget_us = tof_get_measurement_timing_budget();
JAL	_tof_get_measurement_timing_budget+0
NOP	
SW	R2, Offset(_measurement_timing_budget_us+0)(GP)
;tof_hw.c,299 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0xE8);
ORI	R26, R0, 232
ORI	R25, R0, 1
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,301 :: 		tof_set_measurement_timing_budget(measurement_timing_budget_us);
LW	R25, Offset(_measurement_timing_budget_us+0)(GP)
JAL	_tof_set_measurement_timing_budget+0
NOP	
;tof_hw.c,303 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 1
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,304 :: 		if (!tof_perform_single_ref_calibration(0x40)) { return false; }
ORI	R25, R0, 64
JAL	_tof_perform_single_ref_calibration+0
NOP	
LBU	R25, 16(SP)
BEQ	R2, R0, L__tof_init123
NOP	
J	L_tof_init17
NOP	
L__tof_init123:
MOVZ	R2, R0, R0
J	L_end_tof_init
NOP	
L_tof_init17:
;tof_hw.c,307 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0x02);
SB	R25, 16(SP)
ORI	R26, R0, 2
ORI	R25, R0, 1
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,308 :: 		if (!tof_perform_single_ref_calibration(0x00)) { return false; }
MOVZ	R25, R0, R0
JAL	_tof_perform_single_ref_calibration+0
NOP	
LBU	R25, 16(SP)
BEQ	R2, R0, L__tof_init124
NOP	
J	L_tof_init18
NOP	
L__tof_init124:
MOVZ	R2, R0, R0
J	L_end_tof_init
NOP	
L_tof_init18:
;tof_hw.c,311 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0xE8);
SB	R25, 16(SP)
ORI	R26, R0, 232
ORI	R25, R0, 1
JAL	_tof_write_reg+0
NOP	
LBU	R25, 16(SP)
;tof_hw.c,313 :: 		return true;
ORI	R2, R0, 1
;tof_hw.c,314 :: 		}
;tof_hw.c,313 :: 		return true;
;tof_hw.c,314 :: 		}
L_end_tof_init:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 32
JR	RA
NOP	
; end of _tof_init
_tof_set_signal_rate_limit:
;tof_hw.c,317 :: 		bool tof_set_signal_rate_limit(float limit_Mcps)
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;tof_hw.c,319 :: 		if (limit_Mcps < 0 || limit_Mcps > 511.99) { return false; }
SW	R25, 4(SP)
SW	R26, 8(SP)
MOVZ	R4, R0, R0
MOVZ	R6, R25, R0
JAL	__Compare_FP+0
NOP	
SLT	R2, R0, R2
BEQ	R2, R0, L__tof_set_signal_rate_limit127
NOP	
J	L__tof_set_signal_rate_limit84
NOP	
L__tof_set_signal_rate_limit127:
LUI	R4, 17407
ORI	R4, R4, 65208
MOVZ	R6, R25, R0
JAL	__Compare_FP+0
NOP	
SLTI	R2, R2, 0
BEQ	R2, R0, L__tof_set_signal_rate_limit129
NOP	
J	L__tof_set_signal_rate_limit83
NOP	
L__tof_set_signal_rate_limit129:
J	L_tof_set_signal_rate_limit21
NOP	
L__tof_set_signal_rate_limit84:
L__tof_set_signal_rate_limit83:
MOVZ	R2, R0, R0
J	L_end_tof_set_signal_rate_limit
NOP	
L_tof_set_signal_rate_limit21:
;tof_hw.c,322 :: 		tof_write_reg_16Bit(FINAL_RANGE_CONFIG_MIN_COUNT_RATE_RTN_LIMIT, limit_Mcps * (1 << 7));
LUI	R4, 17152
ORI	R4, R4, 0
MOVZ	R6, R25, R0
JAL	__Mul_FP+0
NOP	
MOVZ	R4, R2, R0
JAL	__FloatToUnsignedIntegral+0
NOP	
ANDI	R26, R2, 65535
ORI	R25, R0, 68
JAL	_tof_write_reg_16Bit+0
NOP	
;tof_hw.c,323 :: 		return true;
ORI	R2, R0, 1
;tof_hw.c,324 :: 		}
;tof_hw.c,323 :: 		return true;
;tof_hw.c,324 :: 		}
L_end_tof_set_signal_rate_limit:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _tof_set_signal_rate_limit
_tof_get_signal_rate_limit:
;tof_hw.c,326 :: 		float tof_get_signal_rate_limit(void)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;tof_hw.c,328 :: 		return (float)tof_read_reg_16Bit(FINAL_RANGE_CONFIG_MIN_COUNT_RATE_RTN_LIMIT) / (1 << 7);
SW	R25, 4(SP)
ORI	R25, R0, 68
JAL	_tof_read_reg_16Bit+0
NOP	
ANDI	R4, R2, 65535
JAL	__Unsigned16IntToFloat+0
NOP	
LUI	R6, 17152
ORI	R6, R6, 0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
;tof_hw.c,329 :: 		}
;tof_hw.c,328 :: 		return (float)tof_read_reg_16Bit(FINAL_RANGE_CONFIG_MIN_COUNT_RATE_RTN_LIMIT) / (1 << 7);
;tof_hw.c,329 :: 		}
L_end_tof_get_signal_rate_limit:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _tof_get_signal_rate_limit
_tof_set_measurement_timing_budget:
;tof_hw.c,331 :: 		bool tof_set_measurement_timing_budget(uint32_t budget_us)
ADDIU	SP, SP, -48
SW	RA, 0(SP)
;tof_hw.c,350 :: 		if (budget_us < MinTimingBudget) { return false; }
SW	R26, 4(SP)
SLTIU	R2, R25, 20000
BNE	R2, R0, L__tof_set_measurement_timing_budget132
NOP	
J	L_tof_set_measurement_timing_budget22
NOP	
L__tof_set_measurement_timing_budget132:
MOVZ	R2, R0, R0
J	L_end_tof_set_measurement_timing_budget
NOP	
L_tof_set_measurement_timing_budget22:
;tof_hw.c,352 :: 		used_budget_us = StartOverhead + EndOverhead;
; used_budget_us start address is: 16 (R4)
ORI	R4, R0, 2280
;tof_hw.c,354 :: 		tof_get_sequence_step_enables(&enables);
ADDIU	R2, SP, 16
SW	R4, 8(SP)
SW	R25, 12(SP)
MOVZ	R25, R2, R0
JAL	_tof_get_sequence_step_enables+0
NOP	
;tof_hw.c,355 :: 		tof_get_sequence_step_timeouts(&enables, &timeouts);
ADDIU	R3, SP, 24
ADDIU	R2, SP, 16
MOVZ	R26, R3, R0
MOVZ	R25, R2, R0
JAL	_tof_get_sequence_step_timeouts+0
NOP	
LW	R25, 12(SP)
LW	R4, 8(SP)
;tof_hw.c,357 :: 		if (enables.tcc)
LBU	R2, 16(SP)
BNE	R2, R0, L__tof_set_measurement_timing_budget134
NOP	
J	L__tof_set_measurement_timing_budget89
NOP	
L__tof_set_measurement_timing_budget134:
;tof_hw.c,359 :: 		used_budget_us += (timeouts.msrc_dss_tcc_us + TccOverhead);
LW	R2, 36(SP)
ADDIU	R2, R2, 590
ADDU	R2, R4, R2
; used_budget_us end address is: 16 (R4)
; used_budget_us start address is: 12 (R3)
MOVZ	R3, R2, R0
; used_budget_us end address is: 12 (R3)
;tof_hw.c,360 :: 		}
J	L_tof_set_measurement_timing_budget23
NOP	
L__tof_set_measurement_timing_budget89:
;tof_hw.c,357 :: 		if (enables.tcc)
MOVZ	R3, R4, R0
;tof_hw.c,360 :: 		}
L_tof_set_measurement_timing_budget23:
;tof_hw.c,362 :: 		if (enables.dss)
; used_budget_us start address is: 12 (R3)
LBU	R2, 18(SP)
BNE	R2, R0, L__tof_set_measurement_timing_budget136
NOP	
J	L_tof_set_measurement_timing_budget24
NOP	
L__tof_set_measurement_timing_budget136:
;tof_hw.c,364 :: 		used_budget_us += 2 * (timeouts.msrc_dss_tcc_us + DssOverhead);
LW	R2, 36(SP)
ADDIU	R2, R2, 690
SLL	R2, R2, 1
ADDU	R2, R3, R2
MOVZ	R3, R2, R0
;tof_hw.c,365 :: 		}
J	L_tof_set_measurement_timing_budget25
NOP	
L_tof_set_measurement_timing_budget24:
;tof_hw.c,366 :: 		else if (enables.msrc)
LBU	R2, 17(SP)
BNE	R2, R0, L__tof_set_measurement_timing_budget138
NOP	
J	L__tof_set_measurement_timing_budget90
NOP	
L__tof_set_measurement_timing_budget138:
;tof_hw.c,368 :: 		used_budget_us += (timeouts.msrc_dss_tcc_us + MsrcOverhead);
LW	R2, 36(SP)
ADDIU	R2, R2, 660
ADDU	R2, R3, R2
MOVZ	R3, R2, R0
; used_budget_us end address is: 12 (R3)
;tof_hw.c,369 :: 		}
J	L_tof_set_measurement_timing_budget26
NOP	
L__tof_set_measurement_timing_budget90:
;tof_hw.c,366 :: 		else if (enables.msrc)
;tof_hw.c,369 :: 		}
L_tof_set_measurement_timing_budget26:
; used_budget_us start address is: 12 (R3)
; used_budget_us end address is: 12 (R3)
L_tof_set_measurement_timing_budget25:
;tof_hw.c,371 :: 		if (enables.pre_range)
; used_budget_us start address is: 12 (R3)
LBU	R2, 19(SP)
BNE	R2, R0, L__tof_set_measurement_timing_budget140
NOP	
J	L__tof_set_measurement_timing_budget91
NOP	
L__tof_set_measurement_timing_budget140:
;tof_hw.c,373 :: 		used_budget_us += (timeouts.pre_range_us + PreRangeOverhead);
LW	R2, 40(SP)
ADDIU	R2, R2, 660
ADDU	R2, R3, R2
MOVZ	R3, R2, R0
; used_budget_us end address is: 12 (R3)
;tof_hw.c,374 :: 		}
J	L_tof_set_measurement_timing_budget27
NOP	
L__tof_set_measurement_timing_budget91:
;tof_hw.c,371 :: 		if (enables.pre_range)
;tof_hw.c,374 :: 		}
L_tof_set_measurement_timing_budget27:
;tof_hw.c,376 :: 		if (enables.final_range)
; used_budget_us start address is: 12 (R3)
LBU	R2, 20(SP)
BNE	R2, R0, L__tof_set_measurement_timing_budget142
NOP	
J	L_tof_set_measurement_timing_budget28
NOP	
L__tof_set_measurement_timing_budget142:
;tof_hw.c,378 :: 		used_budget_us += FinalRangeOverhead;
ADDIU	R2, R3, 550
MOVZ	R3, R2, R0
;tof_hw.c,380 :: 		if (used_budget_us > budget_us)
SLTU	R2, R25, R2
BNE	R2, R0, L__tof_set_measurement_timing_budget143
NOP	
J	L_tof_set_measurement_timing_budget29
NOP	
L__tof_set_measurement_timing_budget143:
; used_budget_us end address is: 12 (R3)
;tof_hw.c,382 :: 		return false;
MOVZ	R2, R0, R0
J	L_end_tof_set_measurement_timing_budget
NOP	
;tof_hw.c,383 :: 		}
L_tof_set_measurement_timing_budget29:
;tof_hw.c,385 :: 		final_range_timeout_us = budget_us - used_budget_us;
; used_budget_us start address is: 12 (R3)
SUBU	R2, R25, R3
; used_budget_us end address is: 12 (R3)
;tof_hw.c,389 :: 		timeouts.final_range_vcsel_period_pclks);
SW	R25, 8(SP)
LHU	R26, 26(SP)
;tof_hw.c,388 :: 		tof_timeout_microseconds_to_mclks(final_range_timeout_us,
MOVZ	R25, R2, R0
;tof_hw.c,389 :: 		timeouts.final_range_vcsel_period_pclks);
JAL	_tof_timeout_microseconds_to_mclks+0
NOP	
LW	R25, 8(SP)
; final_range_timeout_mclks start address is: 12 (R3)
MOVZ	R3, R2, R0
;tof_hw.c,391 :: 		if (enables.pre_range)
LBU	R2, 19(SP)
BNE	R2, R0, L__tof_set_measurement_timing_budget145
NOP	
J	L__tof_set_measurement_timing_budget92
NOP	
L__tof_set_measurement_timing_budget145:
;tof_hw.c,393 :: 		final_range_timeout_mclks += timeouts.pre_range_mclks;
LHU	R2, 30(SP)
ADDU	R2, R3, R2
ANDI	R3, R2, 65535
; final_range_timeout_mclks end address is: 12 (R3)
ANDI	R2, R3, 65535
;tof_hw.c,394 :: 		}
J	L_tof_set_measurement_timing_budget30
NOP	
L__tof_set_measurement_timing_budget92:
;tof_hw.c,391 :: 		if (enables.pre_range)
ANDI	R2, R3, 65535
;tof_hw.c,394 :: 		}
L_tof_set_measurement_timing_budget30:
;tof_hw.c,397 :: 		tof_encode_timeout(final_range_timeout_mclks));
; final_range_timeout_mclks start address is: 8 (R2)
SW	R25, 8(SP)
; final_range_timeout_mclks end address is: 8 (R2)
ANDI	R25, R2, 65535
JAL	_tof_encode_timeout+0
NOP	
ANDI	R26, R2, 65535
;tof_hw.c,396 :: 		tof_write_reg_16Bit(FINAL_RANGE_CONFIG_TIMEOUT_MACROP_HI,
ORI	R25, R0, 113
;tof_hw.c,397 :: 		tof_encode_timeout(final_range_timeout_mclks));
JAL	_tof_write_reg_16Bit+0
NOP	
LW	R25, 8(SP)
;tof_hw.c,400 :: 		measurement_timing_budget_us = budget_us;
SW	R25, Offset(_measurement_timing_budget_us+0)(GP)
;tof_hw.c,401 :: 		}
L_tof_set_measurement_timing_budget28:
;tof_hw.c,402 :: 		return true;
ORI	R2, R0, 1
;tof_hw.c,403 :: 		}
;tof_hw.c,402 :: 		return true;
;tof_hw.c,403 :: 		}
L_end_tof_set_measurement_timing_budget:
LW	R26, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 48
JR	RA
NOP	
; end of _tof_set_measurement_timing_budget
_tof_get_measurement_timing_budget:
;tof_hw.c,405 :: 		uint32_t tof_get_measurement_timing_budget(void)
ADDIU	SP, SP, -48
SW	RA, 0(SP)
;tof_hw.c,418 :: 		uint32_t budget_us = StartOverhead + EndOverhead;
SW	R25, 4(SP)
SW	R26, 8(SP)
; budget_us start address is: 16 (R4)
ORI	R4, R0, 2870
;tof_hw.c,420 :: 		tof_get_sequence_step_enables(&enables);
ADDIU	R2, SP, 16
SW	R4, 12(SP)
MOVZ	R25, R2, R0
JAL	_tof_get_sequence_step_enables+0
NOP	
;tof_hw.c,421 :: 		tof_get_sequence_step_timeouts(&enables, &timeouts);
ADDIU	R3, SP, 24
ADDIU	R2, SP, 16
MOVZ	R26, R3, R0
MOVZ	R25, R2, R0
JAL	_tof_get_sequence_step_timeouts+0
NOP	
LW	R4, 12(SP)
;tof_hw.c,423 :: 		if (enables.tcc)
LBU	R2, 16(SP)
BNE	R2, R0, L__tof_get_measurement_timing_budget148
NOP	
J	L__tof_get_measurement_timing_budget85
NOP	
L__tof_get_measurement_timing_budget148:
;tof_hw.c,425 :: 		budget_us += (timeouts.msrc_dss_tcc_us + TccOverhead);
LW	R2, 36(SP)
ADDIU	R2, R2, 590
ADDU	R2, R4, R2
; budget_us end address is: 16 (R4)
; budget_us start address is: 12 (R3)
MOVZ	R3, R2, R0
; budget_us end address is: 12 (R3)
;tof_hw.c,426 :: 		}
J	L_tof_get_measurement_timing_budget31
NOP	
L__tof_get_measurement_timing_budget85:
;tof_hw.c,423 :: 		if (enables.tcc)
MOVZ	R3, R4, R0
;tof_hw.c,426 :: 		}
L_tof_get_measurement_timing_budget31:
;tof_hw.c,428 :: 		if (enables.dss)
; budget_us start address is: 12 (R3)
LBU	R2, 18(SP)
BNE	R2, R0, L__tof_get_measurement_timing_budget150
NOP	
J	L_tof_get_measurement_timing_budget32
NOP	
L__tof_get_measurement_timing_budget150:
;tof_hw.c,430 :: 		budget_us += 2 * (timeouts.msrc_dss_tcc_us + DssOverhead);
LW	R2, 36(SP)
ADDIU	R2, R2, 690
SLL	R2, R2, 1
ADDU	R2, R3, R2
MOVZ	R3, R2, R0
;tof_hw.c,431 :: 		}
J	L_tof_get_measurement_timing_budget33
NOP	
L_tof_get_measurement_timing_budget32:
;tof_hw.c,432 :: 		else if (enables.msrc)
LBU	R2, 17(SP)
BNE	R2, R0, L__tof_get_measurement_timing_budget152
NOP	
J	L__tof_get_measurement_timing_budget86
NOP	
L__tof_get_measurement_timing_budget152:
;tof_hw.c,434 :: 		budget_us += (timeouts.msrc_dss_tcc_us + MsrcOverhead);
LW	R2, 36(SP)
ADDIU	R2, R2, 660
ADDU	R2, R3, R2
MOVZ	R3, R2, R0
; budget_us end address is: 12 (R3)
;tof_hw.c,435 :: 		}
J	L_tof_get_measurement_timing_budget34
NOP	
L__tof_get_measurement_timing_budget86:
;tof_hw.c,432 :: 		else if (enables.msrc)
;tof_hw.c,435 :: 		}
L_tof_get_measurement_timing_budget34:
; budget_us start address is: 12 (R3)
; budget_us end address is: 12 (R3)
L_tof_get_measurement_timing_budget33:
;tof_hw.c,437 :: 		if (enables.pre_range)
; budget_us start address is: 12 (R3)
LBU	R2, 19(SP)
BNE	R2, R0, L__tof_get_measurement_timing_budget154
NOP	
J	L__tof_get_measurement_timing_budget87
NOP	
L__tof_get_measurement_timing_budget154:
;tof_hw.c,439 :: 		budget_us += (timeouts.pre_range_us + PreRangeOverhead);
LW	R2, 40(SP)
ADDIU	R2, R2, 660
ADDU	R2, R3, R2
MOVZ	R3, R2, R0
; budget_us end address is: 12 (R3)
;tof_hw.c,440 :: 		}
J	L_tof_get_measurement_timing_budget35
NOP	
L__tof_get_measurement_timing_budget87:
;tof_hw.c,437 :: 		if (enables.pre_range)
;tof_hw.c,440 :: 		}
L_tof_get_measurement_timing_budget35:
;tof_hw.c,442 :: 		if (enables.final_range)
; budget_us start address is: 12 (R3)
LBU	R2, 20(SP)
BNE	R2, R0, L__tof_get_measurement_timing_budget156
NOP	
J	L__tof_get_measurement_timing_budget88
NOP	
L__tof_get_measurement_timing_budget156:
;tof_hw.c,444 :: 		budget_us += (timeouts.final_range_us + FinalRangeOverhead);
LW	R2, 44(SP)
ADDIU	R2, R2, 550
ADDU	R2, R3, R2
MOVZ	R3, R2, R0
; budget_us end address is: 12 (R3)
;tof_hw.c,445 :: 		}
J	L_tof_get_measurement_timing_budget36
NOP	
L__tof_get_measurement_timing_budget88:
;tof_hw.c,442 :: 		if (enables.final_range)
;tof_hw.c,445 :: 		}
L_tof_get_measurement_timing_budget36:
;tof_hw.c,447 :: 		measurement_timing_budget_us = budget_us;
; budget_us start address is: 12 (R3)
SW	R3, Offset(_measurement_timing_budget_us+0)(GP)
;tof_hw.c,448 :: 		return budget_us;
MOVZ	R2, R3, R0
; budget_us end address is: 12 (R3)
;tof_hw.c,449 :: 		}
;tof_hw.c,448 :: 		return budget_us;
;tof_hw.c,449 :: 		}
L_end_tof_get_measurement_timing_budget:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 48
JR	RA
NOP	
; end of _tof_get_measurement_timing_budget
_tof_set_vcsel_pulse_period:
;tof_hw.c,451 :: 		bool tof_set_vcsel_pulse_period(vcselPeriodType type, uint8_t period_pclks)
ADDIU	SP, SP, -48
SW	RA, 0(SP)
;tof_hw.c,453 :: 		uint8_t vcsel_period_reg = tof_encode_timeout(period_pclks);
SW	R25, 4(SP)
SW	R26, 8(SP)
SB	R25, 12(SP)
ANDI	R25, R26, 255
JAL	_tof_encode_timeout+0
NOP	
LBU	R25, 12(SP)
SB	R2, 14(SP)
;tof_hw.c,462 :: 		tof_get_sequence_step_enables(&enables);
ADDIU	R2, SP, 16
SB	R26, 12(SP)
SB	R25, 13(SP)
MOVZ	R25, R2, R0
JAL	_tof_get_sequence_step_enables+0
NOP	
;tof_hw.c,463 :: 		tof_get_sequence_step_timeouts(&enables, &timeouts);
ADDIU	R3, SP, 24
ADDIU	R2, SP, 16
MOVZ	R26, R3, R0
MOVZ	R25, R2, R0
JAL	_tof_get_sequence_step_timeouts+0
NOP	
LBU	R25, 13(SP)
LBU	R26, 12(SP)
;tof_hw.c,466 :: 		if (type == VcselPeriodPreRange)
ANDI	R2, R25, 255
BEQ	R2, R0, L__tof_set_vcsel_pulse_period158
NOP	
J	L_tof_set_vcsel_pulse_period37
NOP	
L__tof_set_vcsel_pulse_period158:
;tof_hw.c,468 :: 		switch (period_pclks)
J	L_tof_set_vcsel_pulse_period38
NOP	
;tof_hw.c,470 :: 		case 12:
L_tof_set_vcsel_pulse_period40:
;tof_hw.c,471 :: 		tof_write_reg(PRE_RANGE_CONFIG_VALID_PHASE_HIGH, 0x18);
SB	R26, 12(SP)
ORI	R26, R0, 24
ORI	R25, R0, 87
JAL	_tof_write_reg+0
NOP	
LBU	R26, 12(SP)
;tof_hw.c,472 :: 		break;
J	L_tof_set_vcsel_pulse_period39
NOP	
;tof_hw.c,474 :: 		case 14:
L_tof_set_vcsel_pulse_period41:
;tof_hw.c,475 :: 		tof_write_reg(PRE_RANGE_CONFIG_VALID_PHASE_HIGH, 0x30);
SB	R26, 12(SP)
ORI	R26, R0, 48
ORI	R25, R0, 87
JAL	_tof_write_reg+0
NOP	
LBU	R26, 12(SP)
;tof_hw.c,476 :: 		break;
J	L_tof_set_vcsel_pulse_period39
NOP	
;tof_hw.c,478 :: 		case 16:
L_tof_set_vcsel_pulse_period42:
;tof_hw.c,479 :: 		tof_write_reg(PRE_RANGE_CONFIG_VALID_PHASE_HIGH, 0x40);
SB	R26, 12(SP)
ORI	R26, R0, 64
ORI	R25, R0, 87
JAL	_tof_write_reg+0
NOP	
LBU	R26, 12(SP)
;tof_hw.c,480 :: 		break;
J	L_tof_set_vcsel_pulse_period39
NOP	
;tof_hw.c,482 :: 		case 18:
L_tof_set_vcsel_pulse_period43:
;tof_hw.c,483 :: 		tof_write_reg(PRE_RANGE_CONFIG_VALID_PHASE_HIGH, 0x50);
SB	R26, 12(SP)
ORI	R26, R0, 80
ORI	R25, R0, 87
JAL	_tof_write_reg+0
NOP	
LBU	R26, 12(SP)
;tof_hw.c,484 :: 		break;
J	L_tof_set_vcsel_pulse_period39
NOP	
;tof_hw.c,486 :: 		default:
L_tof_set_vcsel_pulse_period44:
;tof_hw.c,488 :: 		return false;
MOVZ	R2, R0, R0
J	L_end_tof_set_vcsel_pulse_period
NOP	
;tof_hw.c,489 :: 		}
L_tof_set_vcsel_pulse_period38:
ANDI	R3, R26, 255
ORI	R2, R0, 12
BNE	R3, R2, L__tof_set_vcsel_pulse_period160
NOP	
J	L_tof_set_vcsel_pulse_period40
NOP	
L__tof_set_vcsel_pulse_period160:
ANDI	R3, R26, 255
ORI	R2, R0, 14
BNE	R3, R2, L__tof_set_vcsel_pulse_period162
NOP	
J	L_tof_set_vcsel_pulse_period41
NOP	
L__tof_set_vcsel_pulse_period162:
ANDI	R3, R26, 255
ORI	R2, R0, 16
BNE	R3, R2, L__tof_set_vcsel_pulse_period164
NOP	
J	L_tof_set_vcsel_pulse_period42
NOP	
L__tof_set_vcsel_pulse_period164:
ANDI	R3, R26, 255
ORI	R2, R0, 18
BNE	R3, R2, L__tof_set_vcsel_pulse_period166
NOP	
J	L_tof_set_vcsel_pulse_period43
NOP	
L__tof_set_vcsel_pulse_period166:
J	L_tof_set_vcsel_pulse_period44
NOP	
L_tof_set_vcsel_pulse_period39:
;tof_hw.c,490 :: 		tof_write_reg(PRE_RANGE_CONFIG_VALID_PHASE_LOW, 0x08);
SB	R26, 12(SP)
ORI	R26, R0, 8
ORI	R25, R0, 86
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,493 :: 		tof_write_reg(PRE_RANGE_CONFIG_VCSEL_PERIOD, vcsel_period_reg);
LBU	R26, 14(SP)
ORI	R25, R0, 80
JAL	_tof_write_reg+0
NOP	
LBU	R26, 12(SP)
;tof_hw.c,496 :: 		tof_timeout_microseconds_to_mclks(timeouts.pre_range_us, period_pclks);
LW	R25, 40(SP)
JAL	_tof_timeout_microseconds_to_mclks+0
NOP	
;tof_hw.c,499 :: 		tof_encode_timeout(new_pre_range_timeout_mclks));
ANDI	R25, R2, 65535
JAL	_tof_encode_timeout+0
NOP	
SB	R26, 12(SP)
ANDI	R26, R2, 65535
;tof_hw.c,498 :: 		tof_write_reg_16Bit(PRE_RANGE_CONFIG_TIMEOUT_MACROP_HI,
ORI	R25, R0, 81
;tof_hw.c,499 :: 		tof_encode_timeout(new_pre_range_timeout_mclks));
JAL	_tof_write_reg_16Bit+0
NOP	
LBU	R26, 12(SP)
;tof_hw.c,503 :: 		tof_timeout_microseconds_to_mclks(timeouts.msrc_dss_tcc_us, period_pclks);
LW	R25, 36(SP)
JAL	_tof_timeout_microseconds_to_mclks+0
NOP	
; new_msrc_timeout_mclks start address is: 12 (R3)
MOVZ	R3, R2, R0
;tof_hw.c,506 :: 		(new_msrc_timeout_mclks > 256) ? 255 : (new_msrc_timeout_mclks - 1));
ANDI	R2, R2, 65535
SLTIU	R2, R2, 257
BEQ	R2, R0, L__tof_set_vcsel_pulse_period167
NOP	
J	L_tof_set_vcsel_pulse_period45
NOP	
L__tof_set_vcsel_pulse_period167:
; new_msrc_timeout_mclks end address is: 12 (R3)
; ?FLOC___tof_set_vcsel_pulse_period?T195 start address is: 8 (R2)
ORI	R2, R0, 255
; ?FLOC___tof_set_vcsel_pulse_period?T195 end address is: 8 (R2)
J	L_tof_set_vcsel_pulse_period46
NOP	
L_tof_set_vcsel_pulse_period45:
; new_msrc_timeout_mclks start address is: 12 (R3)
ADDIU	R2, R3, -1
; new_msrc_timeout_mclks end address is: 12 (R3)
; ?FLOC___tof_set_vcsel_pulse_period?T195 start address is: 12 (R3)
ANDI	R3, R2, 255
; ?FLOC___tof_set_vcsel_pulse_period?T195 end address is: 12 (R3)
ANDI	R2, R3, 65535
L_tof_set_vcsel_pulse_period46:
; ?FLOC___tof_set_vcsel_pulse_period?T195 start address is: 8 (R2)
ANDI	R26, R2, 65535
; ?FLOC___tof_set_vcsel_pulse_period?T195 end address is: 8 (R2)
;tof_hw.c,505 :: 		tof_write_reg(MSRC_CONFIG_TIMEOUT_MACROP,
ORI	R25, R0, 70
;tof_hw.c,506 :: 		(new_msrc_timeout_mclks > 256) ? 255 : (new_msrc_timeout_mclks - 1));
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,509 :: 		}
J	L_tof_set_vcsel_pulse_period47
NOP	
L_tof_set_vcsel_pulse_period37:
;tof_hw.c,510 :: 		else if (type == VcselPeriodFinalRange)
ANDI	R3, R25, 255
ORI	R2, R0, 1
BEQ	R3, R2, L__tof_set_vcsel_pulse_period168
NOP	
J	L_tof_set_vcsel_pulse_period48
NOP	
L__tof_set_vcsel_pulse_period168:
;tof_hw.c,512 :: 		switch (period_pclks)
J	L_tof_set_vcsel_pulse_period49
NOP	
;tof_hw.c,514 :: 		case 8:
L_tof_set_vcsel_pulse_period51:
;tof_hw.c,515 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_HIGH, 0x10);
SB	R26, 12(SP)
ORI	R26, R0, 16
ORI	R25, R0, 72
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,516 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_LOW,  0x08);
ORI	R26, R0, 8
ORI	R25, R0, 71
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,517 :: 		tof_write_reg(GLOBAL_CONFIG_VCSEL_WIDTH, 0x02);
ORI	R26, R0, 2
ORI	R25, R0, 50
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,518 :: 		tof_write_reg(ALGO_PHASECAL_CONFIG_TIMEOUT, 0x0C);
ORI	R26, R0, 12
ORI	R25, R0, 48
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,519 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,520 :: 		tof_write_reg(ALGO_PHASECAL_LIM, 0x30);
ORI	R26, R0, 48
ORI	R25, R0, 48
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,521 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
LBU	R26, 12(SP)
;tof_hw.c,522 :: 		break;
J	L_tof_set_vcsel_pulse_period50
NOP	
;tof_hw.c,524 :: 		case 10:
L_tof_set_vcsel_pulse_period52:
;tof_hw.c,525 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_HIGH, 0x28);
SB	R26, 12(SP)
ORI	R26, R0, 40
ORI	R25, R0, 72
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,526 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_LOW,  0x08);
ORI	R26, R0, 8
ORI	R25, R0, 71
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,527 :: 		tof_write_reg(GLOBAL_CONFIG_VCSEL_WIDTH, 0x03);
ORI	R26, R0, 3
ORI	R25, R0, 50
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,528 :: 		tof_write_reg(ALGO_PHASECAL_CONFIG_TIMEOUT, 0x09);
ORI	R26, R0, 9
ORI	R25, R0, 48
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,529 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,530 :: 		tof_write_reg(ALGO_PHASECAL_LIM, 0x20);
ORI	R26, R0, 32
ORI	R25, R0, 48
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,531 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
LBU	R26, 12(SP)
;tof_hw.c,532 :: 		break;
J	L_tof_set_vcsel_pulse_period50
NOP	
;tof_hw.c,534 :: 		case 12:
L_tof_set_vcsel_pulse_period53:
;tof_hw.c,535 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_HIGH, 0x38);
SB	R26, 12(SP)
ORI	R26, R0, 56
ORI	R25, R0, 72
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,536 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_LOW,  0x08);
ORI	R26, R0, 8
ORI	R25, R0, 71
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,537 :: 		tof_write_reg(GLOBAL_CONFIG_VCSEL_WIDTH, 0x03);
ORI	R26, R0, 3
ORI	R25, R0, 50
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,538 :: 		tof_write_reg(ALGO_PHASECAL_CONFIG_TIMEOUT, 0x08);
ORI	R26, R0, 8
ORI	R25, R0, 48
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,539 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,540 :: 		tof_write_reg(ALGO_PHASECAL_LIM, 0x20);
ORI	R26, R0, 32
ORI	R25, R0, 48
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,541 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
LBU	R26, 12(SP)
;tof_hw.c,542 :: 		break;
J	L_tof_set_vcsel_pulse_period50
NOP	
;tof_hw.c,544 :: 		case 14:
L_tof_set_vcsel_pulse_period54:
;tof_hw.c,545 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_HIGH, 0x48);
SB	R26, 12(SP)
ORI	R26, R0, 72
ORI	R25, R0, 72
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,546 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VALID_PHASE_LOW,  0x08);
ORI	R26, R0, 8
ORI	R25, R0, 71
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,547 :: 		tof_write_reg(GLOBAL_CONFIG_VCSEL_WIDTH, 0x03);
ORI	R26, R0, 3
ORI	R25, R0, 50
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,548 :: 		tof_write_reg(ALGO_PHASECAL_CONFIG_TIMEOUT, 0x07);
ORI	R26, R0, 7
ORI	R25, R0, 48
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,549 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,550 :: 		tof_write_reg(ALGO_PHASECAL_LIM, 0x20);
ORI	R26, R0, 32
ORI	R25, R0, 48
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,551 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
LBU	R26, 12(SP)
;tof_hw.c,552 :: 		break;
J	L_tof_set_vcsel_pulse_period50
NOP	
;tof_hw.c,554 :: 		default:
L_tof_set_vcsel_pulse_period55:
;tof_hw.c,556 :: 		return false;
MOVZ	R2, R0, R0
J	L_end_tof_set_vcsel_pulse_period
NOP	
;tof_hw.c,557 :: 		}
L_tof_set_vcsel_pulse_period49:
ANDI	R3, R26, 255
ORI	R2, R0, 8
BNE	R3, R2, L__tof_set_vcsel_pulse_period170
NOP	
J	L_tof_set_vcsel_pulse_period51
NOP	
L__tof_set_vcsel_pulse_period170:
ANDI	R3, R26, 255
ORI	R2, R0, 10
BNE	R3, R2, L__tof_set_vcsel_pulse_period172
NOP	
J	L_tof_set_vcsel_pulse_period52
NOP	
L__tof_set_vcsel_pulse_period172:
ANDI	R3, R26, 255
ORI	R2, R0, 12
BNE	R3, R2, L__tof_set_vcsel_pulse_period174
NOP	
J	L_tof_set_vcsel_pulse_period53
NOP	
L__tof_set_vcsel_pulse_period174:
ANDI	R3, R26, 255
ORI	R2, R0, 14
BNE	R3, R2, L__tof_set_vcsel_pulse_period176
NOP	
J	L_tof_set_vcsel_pulse_period54
NOP	
L__tof_set_vcsel_pulse_period176:
J	L_tof_set_vcsel_pulse_period55
NOP	
L_tof_set_vcsel_pulse_period50:
;tof_hw.c,560 :: 		tof_write_reg(FINAL_RANGE_CONFIG_VCSEL_PERIOD, vcsel_period_reg);
SB	R26, 12(SP)
LBU	R26, 14(SP)
ORI	R25, R0, 112
JAL	_tof_write_reg+0
NOP	
LBU	R26, 12(SP)
;tof_hw.c,564 :: 		tof_timeout_microseconds_to_mclks(timeouts.final_range_us, period_pclks);
LW	R25, 44(SP)
JAL	_tof_timeout_microseconds_to_mclks+0
NOP	
; new_final_range_timeout_mclks start address is: 12 (R3)
MOVZ	R3, R2, R0
;tof_hw.c,566 :: 		if (enables.pre_range)
LBU	R2, 19(SP)
BNE	R2, R0, L__tof_set_vcsel_pulse_period178
NOP	
J	L__tof_set_vcsel_pulse_period97
NOP	
L__tof_set_vcsel_pulse_period178:
;tof_hw.c,568 :: 		new_final_range_timeout_mclks += timeouts.pre_range_mclks;
LHU	R2, 30(SP)
ADDU	R2, R3, R2
; new_final_range_timeout_mclks end address is: 12 (R3)
; new_final_range_timeout_mclks start address is: 16 (R4)
ANDI	R4, R2, 65535
; new_final_range_timeout_mclks end address is: 16 (R4)
ANDI	R2, R4, 65535
;tof_hw.c,569 :: 		}
J	L_tof_set_vcsel_pulse_period56
NOP	
L__tof_set_vcsel_pulse_period97:
;tof_hw.c,566 :: 		if (enables.pre_range)
ANDI	R2, R3, 65535
;tof_hw.c,569 :: 		}
L_tof_set_vcsel_pulse_period56:
;tof_hw.c,572 :: 		tof_encode_timeout(new_final_range_timeout_mclks));
; new_final_range_timeout_mclks start address is: 8 (R2)
ANDI	R25, R2, 65535
; new_final_range_timeout_mclks end address is: 8 (R2)
JAL	_tof_encode_timeout+0
NOP	
ANDI	R26, R2, 65535
;tof_hw.c,571 :: 		tof_write_reg_16Bit(FINAL_RANGE_CONFIG_TIMEOUT_MACROP_HI,
ORI	R25, R0, 113
;tof_hw.c,572 :: 		tof_encode_timeout(new_final_range_timeout_mclks));
JAL	_tof_write_reg_16Bit+0
NOP	
;tof_hw.c,575 :: 		}
J	L_tof_set_vcsel_pulse_period57
NOP	
L_tof_set_vcsel_pulse_period48:
;tof_hw.c,579 :: 		return false;
MOVZ	R2, R0, R0
J	L_end_tof_set_vcsel_pulse_period
NOP	
;tof_hw.c,580 :: 		}
L_tof_set_vcsel_pulse_period57:
L_tof_set_vcsel_pulse_period47:
;tof_hw.c,584 :: 		tof_set_measurement_timing_budget(measurement_timing_budget_us);
LW	R25, Offset(_measurement_timing_budget_us+0)(GP)
JAL	_tof_set_measurement_timing_budget+0
NOP	
;tof_hw.c,587 :: 		sequence_config = tof_read_reg(SYSTEM_SEQUENCE_CONFIG);
ORI	R25, R0, 1
JAL	_tof_read_reg+0
NOP	
SB	R2, 15(SP)
;tof_hw.c,588 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, 0x02);
ORI	R26, R0, 2
ORI	R25, R0, 1
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,589 :: 		tof_perform_single_ref_calibration(0x0);
MOVZ	R25, R0, R0
JAL	_tof_perform_single_ref_calibration+0
NOP	
;tof_hw.c,590 :: 		tof_write_reg(SYSTEM_SEQUENCE_CONFIG, sequence_config);
LBU	R26, 15(SP)
ORI	R25, R0, 1
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,593 :: 		return true;
ORI	R2, R0, 1
;tof_hw.c,594 :: 		}
;tof_hw.c,593 :: 		return true;
;tof_hw.c,594 :: 		}
L_end_tof_set_vcsel_pulse_period:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 48
JR	RA
NOP	
; end of _tof_set_vcsel_pulse_period
_tof_get_vcsel_pulse_period:
;tof_hw.c,596 :: 		uint8_t tof_get_vcsel_pulse_period(vcselPeriodType type)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;tof_hw.c,598 :: 		if (type == VcselPeriodPreRange)
SW	R25, 4(SP)
ANDI	R2, R25, 255
BEQ	R2, R0, L__tof_get_vcsel_pulse_period180
NOP	
J	L_tof_get_vcsel_pulse_period58
NOP	
L__tof_get_vcsel_pulse_period180:
;tof_hw.c,600 :: 		return tof_decode_vcsel_period(tof_read_reg(PRE_RANGE_CONFIG_VCSEL_PERIOD));
ORI	R25, R0, 80
JAL	_tof_read_reg+0
NOP	
ADDIU	R2, R2, 1
ANDI	R2, R2, 255
SLL	R2, R2, 1
J	L_end_tof_get_vcsel_pulse_period
NOP	
;tof_hw.c,601 :: 		}
L_tof_get_vcsel_pulse_period58:
;tof_hw.c,602 :: 		else if (type == VcselPeriodFinalRange)
ANDI	R3, R25, 255
ORI	R2, R0, 1
BEQ	R3, R2, L__tof_get_vcsel_pulse_period181
NOP	
J	L_tof_get_vcsel_pulse_period60
NOP	
L__tof_get_vcsel_pulse_period181:
;tof_hw.c,604 :: 		return tof_decode_vcsel_period(tof_read_reg(FINAL_RANGE_CONFIG_VCSEL_PERIOD));
ORI	R25, R0, 112
JAL	_tof_read_reg+0
NOP	
ADDIU	R2, R2, 1
ANDI	R2, R2, 255
SLL	R2, R2, 1
J	L_end_tof_get_vcsel_pulse_period
NOP	
;tof_hw.c,605 :: 		}
L_tof_get_vcsel_pulse_period60:
;tof_hw.c,606 :: 		else { return 255; }
ORI	R2, R0, 255
;tof_hw.c,607 :: 		}
;tof_hw.c,606 :: 		else { return 255; }
;tof_hw.c,607 :: 		}
L_end_tof_get_vcsel_pulse_period:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _tof_get_vcsel_pulse_period
_tof_start_continuous:
;tof_hw.c,609 :: 		void tof_start_continuous(uint32_t period_ms)
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;tof_hw.c,611 :: 		tof_write_reg(0x80, 0x01);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R25, 12(SP)
ORI	R26, R0, 1
ORI	R25, R0, 128
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,612 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,613 :: 		tof_write_reg(0x00, 0x00);
MOVZ	R26, R0, R0
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,614 :: 		tof_write_reg(0x91, stop_variable);
LBU	R26, Offset(_stop_variable+0)(GP)
ORI	R25, R0, 145
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,615 :: 		tof_write_reg(0x00, 0x01);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,616 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,617 :: 		tof_write_reg(0x80, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 128
JAL	_tof_write_reg+0
NOP	
LW	R25, 12(SP)
;tof_hw.c,619 :: 		if (period_ms != 0)
BNE	R25, R0, L__tof_start_continuous184
NOP	
J	L_tof_start_continuous62
NOP	
L__tof_start_continuous184:
;tof_hw.c,622 :: 		uint16_t osc_calibrate_val = tof_read_reg_16Bit(OSC_CALIBRATE_VAL);
SW	R25, 12(SP)
ORI	R25, R0, 248
JAL	_tof_read_reg_16Bit+0
NOP	
LW	R25, 12(SP)
; osc_calibrate_val start address is: 12 (R3)
ANDI	R3, R2, 65535
;tof_hw.c,624 :: 		if (osc_calibrate_val != 0)
ANDI	R2, R2, 65535
BNE	R2, R0, L__tof_start_continuous186
NOP	
J	L_tof_start_continuous63
NOP	
L__tof_start_continuous186:
;tof_hw.c,626 :: 		period_ms *= osc_calibrate_val;
ANDI	R2, R3, 65535
; osc_calibrate_val end address is: 12 (R3)
MULTU	R25, R2
MFLO	R2
MOVZ	R25, R2, R0
;tof_hw.c,627 :: 		}
L_tof_start_continuous63:
;tof_hw.c,629 :: 		tof_write_reg_32Bit(SYSTEM_INTERMEASUREMENT_PERIOD, period_ms);
MOVZ	R26, R25, R0
ORI	R25, R0, 4
JAL	_tof_write_reg_32Bit+0
NOP	
;tof_hw.c,633 :: 		tof_write_reg(SYSRANGE_START, 0x04);
ORI	R26, R0, 4
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,634 :: 		}
J	L_tof_start_continuous64
NOP	
L_tof_start_continuous62:
;tof_hw.c,637 :: 		tof_write_reg(SYSRANGE_START, 0x02);
ORI	R26, R0, 2
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,638 :: 		}
L_tof_start_continuous64:
;tof_hw.c,639 :: 		}
L_end_tof_start_continuous:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _tof_start_continuous
_tof_stop_continuous:
;tof_hw.c,641 :: 		void tof_stop_continuous(void)
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;tof_hw.c,643 :: 		tof_write_reg(SYSRANGE_START, 0x01);
SW	R25, 4(SP)
SW	R26, 8(SP)
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,645 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,646 :: 		tof_write_reg(0x00, 0x00);
MOVZ	R26, R0, R0
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,647 :: 		tof_write_reg(0x91, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 145
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,648 :: 		tof_write_reg(0x00, 0x01);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,649 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,650 :: 		}
L_end_tof_stop_continuous:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _tof_stop_continuous
_tof_read_range_continuous_millimeters:
;tof_hw.c,652 :: 		uint16_t tof_read_range_continuous_millimeters(void)
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;tof_hw.c,655 :: 		tof_start_timeout();
SW	R25, 4(SP)
SW	R26, 8(SP)
JAL	_milliseconds+0
NOP	
SH	R2, Offset(_timeout_start_ms+0)(GP)
;tof_hw.c,656 :: 		while ((tof_read_reg(RESULT_INTERRUPT_STATUS) & 0x07) == 0)
L_tof_read_range_continuous_millimeters65:
ORI	R25, R0, 19
JAL	_tof_read_reg+0
NOP	
ANDI	R2, R2, 7
ANDI	R2, R2, 255
BEQ	R2, R0, L__tof_read_range_continuous_millimeters189
NOP	
J	L_tof_read_range_continuous_millimeters66
NOP	
L__tof_read_range_continuous_millimeters189:
;tof_hw.c,658 :: 		if (tof_check_timeout_expired())
JAL	_tof_check_timeout_expired+0
NOP	
BNE	R2, R0, L__tof_read_range_continuous_millimeters191
NOP	
J	L_tof_read_range_continuous_millimeters67
NOP	
L__tof_read_range_continuous_millimeters191:
;tof_hw.c,660 :: 		did_timeout = true;
ORI	R2, R0, 1
SB	R2, Offset(_did_timeout+0)(GP)
;tof_hw.c,661 :: 		return 65535;
ORI	R2, R0, 65535
J	L_end_tof_read_range_continuous_millimeters
NOP	
;tof_hw.c,662 :: 		}
L_tof_read_range_continuous_millimeters67:
;tof_hw.c,663 :: 		}
J	L_tof_read_range_continuous_millimeters65
NOP	
L_tof_read_range_continuous_millimeters66:
;tof_hw.c,665 :: 		range = tof_read_reg_16Bit(RESULT_RANGE_STATUS + 10);
ORI	R25, R0, 30
JAL	_tof_read_reg_16Bit+0
NOP	
; range start address is: 12 (R3)
ANDI	R3, R2, 65535
;tof_hw.c,667 :: 		tof_write_reg(SYSTEM_INTERRUPT_CLEAR, 0x01);
SH	R3, 12(SP)
ORI	R26, R0, 1
ORI	R25, R0, 11
JAL	_tof_write_reg+0
NOP	
LHU	R3, 12(SP)
;tof_hw.c,669 :: 		return range;
ANDI	R2, R3, 65535
; range end address is: 12 (R3)
;tof_hw.c,670 :: 		}
;tof_hw.c,669 :: 		return range;
;tof_hw.c,670 :: 		}
L_end_tof_read_range_continuous_millimeters:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _tof_read_range_continuous_millimeters
_tof_read_range_single_millimeters:
;tof_hw.c,672 :: 		uint16_t tof_read_range_single_millimeters(void)
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;tof_hw.c,674 :: 		tof_write_reg(0x80, 0x01);
SW	R25, 4(SP)
SW	R26, 8(SP)
ORI	R26, R0, 1
ORI	R25, R0, 128
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,675 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,676 :: 		tof_write_reg(0x00, 0x00);
MOVZ	R26, R0, R0
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,677 :: 		tof_write_reg(0x91, stop_variable);
LBU	R26, Offset(_stop_variable+0)(GP)
ORI	R25, R0, 145
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,678 :: 		tof_write_reg(0x00, 0x01);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,679 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,680 :: 		tof_write_reg(0x80, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 128
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,682 :: 		tof_write_reg(SYSRANGE_START, 0x01);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,684 :: 		tof_start_timeout();
JAL	_milliseconds+0
NOP	
SH	R2, Offset(_timeout_start_ms+0)(GP)
;tof_hw.c,685 :: 		while (tof_read_reg(SYSRANGE_START) & 0x01)
L_tof_read_range_single_millimeters68:
MOVZ	R25, R0, R0
JAL	_tof_read_reg+0
NOP	
ANDI	R2, R2, 1
BNE	R2, R0, L__tof_read_range_single_millimeters194
NOP	
J	L_tof_read_range_single_millimeters69
NOP	
L__tof_read_range_single_millimeters194:
;tof_hw.c,687 :: 		if (tof_check_timeout_expired())
JAL	_tof_check_timeout_expired+0
NOP	
BNE	R2, R0, L__tof_read_range_single_millimeters196
NOP	
J	L_tof_read_range_single_millimeters70
NOP	
L__tof_read_range_single_millimeters196:
;tof_hw.c,689 :: 		did_timeout = true;
ORI	R2, R0, 1
SB	R2, Offset(_did_timeout+0)(GP)
;tof_hw.c,690 :: 		return 65535;
ORI	R2, R0, 65535
J	L_end_tof_read_range_single_millimeters
NOP	
;tof_hw.c,691 :: 		}
L_tof_read_range_single_millimeters70:
;tof_hw.c,692 :: 		}
J	L_tof_read_range_single_millimeters68
NOP	
L_tof_read_range_single_millimeters69:
;tof_hw.c,694 :: 		return tof_read_range_continuous_millimeters();
JAL	_tof_read_range_continuous_millimeters+0
NOP	
;tof_hw.c,695 :: 		}
;tof_hw.c,694 :: 		return tof_read_range_continuous_millimeters();
;tof_hw.c,695 :: 		}
L_end_tof_read_range_single_millimeters:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _tof_read_range_single_millimeters
_tof_timeout_occurred:
;tof_hw.c,697 :: 		bool tof_timeout_occurred()
;tof_hw.c,699 :: 		bool tmp = did_timeout;
; tmp start address is: 12 (R3)
LBU	R3, Offset(_did_timeout+0)(GP)
;tof_hw.c,700 :: 		did_timeout = false;
SB	R0, Offset(_did_timeout+0)(GP)
;tof_hw.c,701 :: 		return tmp;
ANDI	R2, R3, 255
; tmp end address is: 12 (R3)
;tof_hw.c,702 :: 		}
L_end_tof_timeout_occurred:
JR	RA
NOP	
; end of _tof_timeout_occurred
_tof_get_spad_info:
;tof_hw.c,704 :: 		bool tof_get_spad_info(uint8_t * count, bool * type_is_aperture)
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;tof_hw.c,708 :: 		tof_write_reg(0x80, 0x01);
SW	R26, 4(SP)
SW	R25, 8(SP)
ORI	R26, R0, 1
ORI	R25, R0, 128
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,709 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,710 :: 		tof_write_reg(0x00, 0x00);
MOVZ	R26, R0, R0
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,712 :: 		tof_write_reg(0xFF, 0x06);
ORI	R26, R0, 6
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,713 :: 		tof_write_reg(0x83, tof_read_reg(0x83) | 0x04);
ORI	R25, R0, 131
JAL	_tof_read_reg+0
NOP	
ORI	R2, R2, 4
ANDI	R26, R2, 255
ORI	R25, R0, 131
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,714 :: 		tof_write_reg(0xFF, 0x07);
ORI	R26, R0, 7
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,715 :: 		tof_write_reg(0x81, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 129
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,717 :: 		tof_write_reg(0x80, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 128
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,719 :: 		tof_write_reg(0x94, 0x6b);
ORI	R26, R0, 107
ORI	R25, R0, 148
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,720 :: 		tof_write_reg(0x83, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 131
JAL	_tof_write_reg+0
NOP	
LW	R25, 8(SP)
LW	R26, 4(SP)
;tof_hw.c,721 :: 		tof_start_timeout();
JAL	_milliseconds+0
NOP	
SH	R2, Offset(_timeout_start_ms+0)(GP)
;tof_hw.c,722 :: 		while (tof_read_reg(0x83) == 0x00)
L_tof_get_spad_info71:
SW	R26, 4(SP)
SW	R25, 8(SP)
ORI	R25, R0, 131
JAL	_tof_read_reg+0
NOP	
LW	R25, 8(SP)
LW	R26, 4(SP)
ANDI	R2, R2, 255
BEQ	R2, R0, L__tof_get_spad_info199
NOP	
J	L_tof_get_spad_info72
NOP	
L__tof_get_spad_info199:
;tof_hw.c,724 :: 		if (tof_check_timeout_expired()) { return false; }
JAL	_tof_check_timeout_expired+0
NOP	
BNE	R2, R0, L__tof_get_spad_info201
NOP	
J	L_tof_get_spad_info73
NOP	
L__tof_get_spad_info201:
MOVZ	R2, R0, R0
J	L_end_tof_get_spad_info
NOP	
L_tof_get_spad_info73:
;tof_hw.c,725 :: 		}
J	L_tof_get_spad_info71
NOP	
L_tof_get_spad_info72:
;tof_hw.c,726 :: 		tof_write_reg(0x83, 0x01);
SW	R26, 4(SP)
SW	R25, 8(SP)
ORI	R26, R0, 1
ORI	R25, R0, 131
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,727 :: 		tmp = tof_read_reg(0x92);
ORI	R25, R0, 146
JAL	_tof_read_reg+0
NOP	
LW	R25, 8(SP)
LW	R26, 4(SP)
; tmp start address is: 12 (R3)
ANDI	R3, R2, 255
;tof_hw.c,729 :: 		*count = tmp & 0x7f;
ANDI	R2, R2, 127
SB	R2, 0(R25)
;tof_hw.c,730 :: 		*type_is_aperture = (tmp >> 7) & 0x01;
ANDI	R2, R3, 255
; tmp end address is: 12 (R3)
SRL	R2, R2, 7
ANDI	R2, R2, 1
SB	R2, 0(R26)
;tof_hw.c,732 :: 		tof_write_reg(0x81, 0x00);
SW	R26, 4(SP)
SW	R25, 8(SP)
MOVZ	R26, R0, R0
ORI	R25, R0, 129
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,733 :: 		tof_write_reg(0xFF, 0x06);
ORI	R26, R0, 6
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,734 :: 		tof_write_reg(0x83, tof_read_reg( 0x83  & ~0x04));
ORI	R25, R0, 131
JAL	_tof_read_reg+0
NOP	
ANDI	R26, R2, 255
ORI	R25, R0, 131
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,735 :: 		tof_write_reg(0xFF, 0x01);
ORI	R26, R0, 1
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,736 :: 		tof_write_reg(0x00, 0x01);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,738 :: 		tof_write_reg(0xFF, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 255
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,739 :: 		tof_write_reg(0x80, 0x00);
MOVZ	R26, R0, R0
ORI	R25, R0, 128
JAL	_tof_write_reg+0
NOP	
LW	R25, 8(SP)
LW	R26, 4(SP)
;tof_hw.c,741 :: 		return true;
ORI	R2, R0, 1
;tof_hw.c,742 :: 		}
L_end_tof_get_spad_info:
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _tof_get_spad_info
_tof_get_sequence_step_enables:
;tof_hw.c,744 :: 		void tof_get_sequence_step_enables(SequenceStepEnables * enables)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;tof_hw.c,746 :: 		uint8_t sequence_config = tof_read_reg(SYSTEM_SEQUENCE_CONFIG);
SW	R25, 4(SP)
ORI	R25, R0, 1
JAL	_tof_read_reg+0
NOP	
LW	R25, 4(SP)
; sequence_config start address is: 16 (R4)
ANDI	R4, R2, 255
;tof_hw.c,748 :: 		enables->tcc          = (sequence_config >> 4) & 0x1;
ANDI	R2, R2, 255
SRL	R2, R2, 4
ANDI	R2, R2, 1
SB	R2, 0(R25)
;tof_hw.c,749 :: 		enables->dss          = (sequence_config >> 3) & 0x1;
ADDIU	R3, R25, 2
ANDI	R2, R4, 255
SRL	R2, R2, 3
ANDI	R2, R2, 1
SB	R2, 0(R3)
;tof_hw.c,750 :: 		enables->msrc         = (sequence_config >> 2) & 0x1;
ADDIU	R3, R25, 1
ANDI	R2, R4, 255
SRL	R2, R2, 2
ANDI	R2, R2, 1
SB	R2, 0(R3)
;tof_hw.c,751 :: 		enables->pre_range    = (sequence_config >> 6) & 0x1;
ADDIU	R3, R25, 3
ANDI	R2, R4, 255
SRL	R2, R2, 6
ANDI	R2, R2, 1
SB	R2, 0(R3)
;tof_hw.c,752 :: 		enables->final_range  = (sequence_config >> 7) & 0x1;
ADDIU	R3, R25, 4
ANDI	R2, R4, 255
; sequence_config end address is: 16 (R4)
SRL	R2, R2, 7
ANDI	R2, R2, 1
SB	R2, 0(R3)
;tof_hw.c,753 :: 		}
L_end_tof_get_sequence_step_enables:
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _tof_get_sequence_step_enables
_tof_get_sequence_step_timeouts:
;tof_hw.c,755 :: 		void tof_get_sequence_step_timeouts(SequenceStepEnables * enables, SequenceStepTimeouts * timeouts)
ADDIU	SP, SP, -24
SW	RA, 0(SP)
;tof_hw.c,757 :: 		timeouts->pre_range_vcsel_period_pclks = tof_get_vcsel_pulse_period(VcselPeriodPreRange);
SW	R25, 4(SP)
SW	R26, 8(SP)
MOVZ	R2, R26, R0
SW	R2, 20(SP)
SW	R26, 12(SP)
SW	R25, 16(SP)
MOVZ	R25, R0, R0
JAL	_tof_get_vcsel_pulse_period+0
NOP	
LW	R25, 16(SP)
LW	R26, 12(SP)
ANDI	R3, R2, 255
LW	R2, 20(SP)
SH	R3, 0(R2)
;tof_hw.c,759 :: 		timeouts->msrc_dss_tcc_mclks = tof_read_reg(MSRC_CONFIG_TIMEOUT_MACROP) + 1;
ADDIU	R2, R26, 4
SW	R2, 20(SP)
SW	R26, 12(SP)
SW	R25, 16(SP)
ORI	R25, R0, 70
JAL	_tof_read_reg+0
NOP	
LW	R25, 16(SP)
LW	R26, 12(SP)
ANDI	R2, R2, 255
ADDIU	R3, R2, 1
LW	R2, 20(SP)
SH	R3, 0(R2)
;tof_hw.c,760 :: 		timeouts->msrc_dss_tcc_us =
ADDIU	R2, R26, 12
SW	R2, 20(SP)
;tof_hw.c,762 :: 		timeouts->pre_range_vcsel_period_pclks);
LHU	R3, 0(R26)
;tof_hw.c,761 :: 		tof_timeout_mclks_to_microseconds(timeouts->msrc_dss_tcc_mclks,
ADDIU	R2, R26, 4
LHU	R2, 0(R2)
;tof_hw.c,762 :: 		timeouts->pre_range_vcsel_period_pclks);
SW	R26, 12(SP)
SW	R25, 16(SP)
ANDI	R26, R3, 65535
;tof_hw.c,761 :: 		tof_timeout_mclks_to_microseconds(timeouts->msrc_dss_tcc_mclks,
ANDI	R25, R2, 65535
;tof_hw.c,762 :: 		timeouts->pre_range_vcsel_period_pclks);
JAL	_tof_timeout_mclks_to_microseconds+0
NOP	
LW	R25, 16(SP)
LW	R26, 12(SP)
LW	R3, 20(SP)
SW	R2, 0(R3)
;tof_hw.c,764 :: 		timeouts->pre_range_mclks =
ADDIU	R2, R26, 6
SW	R2, 20(SP)
;tof_hw.c,765 :: 		tof_decode_timeout(tof_read_reg_16Bit(PRE_RANGE_CONFIG_TIMEOUT_MACROP_HI));
SW	R26, 12(SP)
SW	R25, 16(SP)
ORI	R25, R0, 81
JAL	_tof_read_reg_16Bit+0
NOP	
LW	R25, 16(SP)
LW	R26, 12(SP)
SW	R25, 12(SP)
ANDI	R25, R2, 65535
JAL	_tof_decode_timeout+0
NOP	
LW	R25, 12(SP)
LW	R3, 20(SP)
SH	R2, 0(R3)
;tof_hw.c,766 :: 		timeouts->pre_range_us =
ADDIU	R2, R26, 16
SW	R2, 20(SP)
;tof_hw.c,768 :: 		timeouts->pre_range_vcsel_period_pclks);
LHU	R3, 0(R26)
;tof_hw.c,767 :: 		tof_timeout_mclks_to_microseconds(timeouts->pre_range_mclks,
ADDIU	R2, R26, 6
LHU	R2, 0(R2)
;tof_hw.c,768 :: 		timeouts->pre_range_vcsel_period_pclks);
SW	R26, 12(SP)
SW	R25, 16(SP)
ANDI	R26, R3, 65535
;tof_hw.c,767 :: 		tof_timeout_mclks_to_microseconds(timeouts->pre_range_mclks,
ANDI	R25, R2, 65535
;tof_hw.c,768 :: 		timeouts->pre_range_vcsel_period_pclks);
JAL	_tof_timeout_mclks_to_microseconds+0
NOP	
LW	R25, 16(SP)
LW	R26, 12(SP)
LW	R3, 20(SP)
SW	R2, 0(R3)
;tof_hw.c,770 :: 		timeouts->final_range_vcsel_period_pclks = tof_get_vcsel_pulse_period(VcselPeriodFinalRange);
ADDIU	R2, R26, 2
SW	R2, 20(SP)
SW	R26, 12(SP)
SW	R25, 16(SP)
ORI	R25, R0, 1
JAL	_tof_get_vcsel_pulse_period+0
NOP	
LW	R25, 16(SP)
LW	R26, 12(SP)
ANDI	R3, R2, 255
LW	R2, 20(SP)
SH	R3, 0(R2)
;tof_hw.c,772 :: 		timeouts->final_range_mclks =
ADDIU	R2, R26, 8
SW	R2, 20(SP)
;tof_hw.c,773 :: 		tof_decode_timeout(tof_read_reg_16Bit(FINAL_RANGE_CONFIG_TIMEOUT_MACROP_HI));
SW	R26, 12(SP)
SW	R25, 16(SP)
ORI	R25, R0, 113
JAL	_tof_read_reg_16Bit+0
NOP	
LW	R25, 16(SP)
LW	R26, 12(SP)
SW	R25, 12(SP)
ANDI	R25, R2, 65535
JAL	_tof_decode_timeout+0
NOP	
LW	R25, 12(SP)
LW	R3, 20(SP)
SH	R2, 0(R3)
;tof_hw.c,775 :: 		if (enables->pre_range)
ADDIU	R2, R25, 3
LBU	R2, 0(R2)
BNE	R2, R0, L__tof_get_sequence_step_timeouts205
NOP	
J	L_tof_get_sequence_step_timeouts74
NOP	
L__tof_get_sequence_step_timeouts205:
;tof_hw.c,777 :: 		timeouts->final_range_mclks -= timeouts->pre_range_mclks;
ADDIU	R4, R26, 8
ADDIU	R2, R26, 6
LHU	R3, 0(R2)
LHU	R2, 0(R4)
SUBU	R2, R2, R3
SH	R2, 0(R4)
;tof_hw.c,778 :: 		}
L_tof_get_sequence_step_timeouts74:
;tof_hw.c,780 :: 		timeouts->final_range_us =
ADDIU	R2, R26, 20
SW	R2, 20(SP)
;tof_hw.c,782 :: 		timeouts->final_range_vcsel_period_pclks);
ADDIU	R2, R26, 2
LHU	R3, 0(R2)
;tof_hw.c,781 :: 		tof_timeout_mclks_to_microseconds(timeouts->final_range_mclks,
ADDIU	R2, R26, 8
LHU	R2, 0(R2)
;tof_hw.c,782 :: 		timeouts->final_range_vcsel_period_pclks);
ANDI	R26, R3, 65535
;tof_hw.c,781 :: 		tof_timeout_mclks_to_microseconds(timeouts->final_range_mclks,
ANDI	R25, R2, 65535
;tof_hw.c,782 :: 		timeouts->final_range_vcsel_period_pclks);
JAL	_tof_timeout_mclks_to_microseconds+0
NOP	
LW	R3, 20(SP)
SW	R2, 0(R3)
;tof_hw.c,783 :: 		}
L_end_tof_get_sequence_step_timeouts:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 24
JR	RA
NOP	
; end of _tof_get_sequence_step_timeouts
_tof_decode_timeout:
;tof_hw.c,785 :: 		uint16_t tof_decode_timeout(uint16_t reg_val)
;tof_hw.c,787 :: 		return (uint16_t)((reg_val & 0x00FF) <<
ANDI	R3, R25, 255
;tof_hw.c,788 :: 		(uint16_t)((reg_val & 0xFF00) >> 8)) + 1;
ANDI	R2, R25, 65280
ANDI	R2, R2, 65535
SRL	R2, R2, 8
ANDI	R3, R3, 65535
ANDI	R2, R2, 65535
SLLV	R2, R3, R2
ADDIU	R2, R2, 1
;tof_hw.c,789 :: 		}
L_end_tof_decode_timeout:
JR	RA
NOP	
; end of _tof_decode_timeout
_tof_encode_timeout:
;tof_hw.c,791 :: 		uint16_t tof_encode_timeout(uint16_t timeout_mclks)
;tof_hw.c,793 :: 		uint32_t ls_byte = 0;
;tof_hw.c,794 :: 		uint16_t ms_byte = 0;
; ms_byte start address is: 12 (R3)
MOVZ	R3, R0, R0
;tof_hw.c,796 :: 		if (timeout_mclks > 0)
ANDI	R2, R25, 65535
SLTIU	R2, R2, 1
BEQ	R2, R0, L__tof_encode_timeout208
NOP	
J	L_tof_encode_timeout75
NOP	
L__tof_encode_timeout208:
;tof_hw.c,798 :: 		ls_byte = timeout_mclks - 1;
ADDIU	R2, R25, -1
; ls_byte start address is: 16 (R4)
ANDI	R4, R2, 65535
; ls_byte end address is: 16 (R4)
; ms_byte end address is: 12 (R3)
;tof_hw.c,800 :: 		while ((ls_byte & 0xFFFFFF00) > 0)
L_tof_encode_timeout76:
; ls_byte start address is: 16 (R4)
; ms_byte start address is: 12 (R3)
LUI	R2, 65535
ORI	R2, R2, 65280
AND	R2, R4, R2
SLTIU	R2, R2, 1
BEQ	R2, R0, L__tof_encode_timeout209
NOP	
J	L_tof_encode_timeout77
NOP	
L__tof_encode_timeout209:
;tof_hw.c,802 :: 		ls_byte >>= 1;
SRL	R2, R4, 1
MOVZ	R4, R2, R0
;tof_hw.c,803 :: 		ms_byte++;
ADDIU	R2, R3, 1
ANDI	R3, R2, 65535
;tof_hw.c,804 :: 		}
J	L_tof_encode_timeout76
NOP	
L_tof_encode_timeout77:
;tof_hw.c,806 :: 		return (ms_byte << 8) | (ls_byte & 0xFF);
ANDI	R2, R3, 65535
; ms_byte end address is: 12 (R3)
SLL	R3, R2, 8
ANDI	R2, R4, 255
; ls_byte end address is: 16 (R4)
OR	R2, R3, R2
J	L_end_tof_encode_timeout
NOP	
;tof_hw.c,807 :: 		}
L_tof_encode_timeout75:
;tof_hw.c,808 :: 		else { return 0; }
MOVZ	R2, R0, R0
;tof_hw.c,809 :: 		}
L_end_tof_encode_timeout:
JR	RA
NOP	
; end of _tof_encode_timeout
_tof_timeout_mclks_to_microseconds:
;tof_hw.c,811 :: 		uint32_t tof_timeout_mclks_to_microseconds(uint16_t timeout_period_mclks, uint8_t vcsel_period_pclks)
;tof_hw.c,813 :: 		uint32_t macro_period_ns = tof_calc_macro_period(vcsel_period_pclks);
ANDI	R3, R26, 255
ORI	R2, R0, 2304
MULTU	R2, R3
MFLO	R3
ORI	R2, R0, 1655
MULTU	R3, R2
MFLO	R2
ADDIU	R3, R2, 500
ORI	R2, R0, 1000
DIVU	R3, R2
MFLO	R4
;tof_hw.c,815 :: 		return ((timeout_period_mclks * macro_period_ns) + (macro_period_ns / 2)) / 1000;
ANDI	R2, R25, 65535
MULTU	R2, R4
MFLO	R3
SRL	R2, R4, 1
ADDU	R3, R3, R2
ORI	R2, R0, 1000
DIVU	R3, R2
MFLO	R2
;tof_hw.c,816 :: 		}
L_end_tof_timeout_mclks_to_microseconds:
JR	RA
NOP	
; end of _tof_timeout_mclks_to_microseconds
_tof_timeout_microseconds_to_mclks:
;tof_hw.c,818 :: 		uint32_t tof_timeout_microseconds_to_mclks(uint32_t timeout_period_us, uint8_t vcsel_period_pclks)
;tof_hw.c,820 :: 		uint32_t macro_period_ns = tof_calc_macro_period(vcsel_period_pclks);
ANDI	R3, R26, 255
ORI	R2, R0, 2304
MULTU	R2, R3
MFLO	R3
ORI	R2, R0, 1655
MULTU	R3, R2
MFLO	R2
ADDIU	R3, R2, 500
ORI	R2, R0, 1000
DIVU	R3, R2
MFLO	R4
;tof_hw.c,822 :: 		return (((timeout_period_us * 1000) + (macro_period_ns / 2)) / macro_period_ns);
ORI	R2, R0, 1000
MULTU	R25, R2
MFLO	R3
SRL	R2, R4, 1
ADDU	R2, R3, R2
DIVU	R2, R4
MFLO	R2
;tof_hw.c,823 :: 		}
L_end_tof_timeout_microseconds_to_mclks:
JR	RA
NOP	
; end of _tof_timeout_microseconds_to_mclks
_tof_perform_single_ref_calibration:
;tof_hw.c,825 :: 		bool tof_perform_single_ref_calibration(uint8_t vhv_init_byte)
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;tof_hw.c,827 :: 		tof_write_reg(SYSRANGE_START, 0x01 | vhv_init_byte);
SW	R25, 4(SP)
SW	R26, 8(SP)
ORI	R2, R25, 1
ANDI	R26, R2, 255
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,829 :: 		tof_start_timeout();
JAL	_milliseconds+0
NOP	
SH	R2, Offset(_timeout_start_ms+0)(GP)
;tof_hw.c,830 :: 		while ((tof_read_reg(RESULT_INTERRUPT_STATUS) & 0x07) == 0)
L_tof_perform_single_ref_calibration79:
SB	R25, 12(SP)
ORI	R25, R0, 19
JAL	_tof_read_reg+0
NOP	
LBU	R25, 12(SP)
ANDI	R2, R2, 7
ANDI	R2, R2, 255
BEQ	R2, R0, L__tof_perform_single_ref_calibration213
NOP	
J	L_tof_perform_single_ref_calibration80
NOP	
L__tof_perform_single_ref_calibration213:
;tof_hw.c,832 :: 		if (tof_check_timeout_expired()) { return false; }
JAL	_tof_check_timeout_expired+0
NOP	
BNE	R2, R0, L__tof_perform_single_ref_calibration215
NOP	
J	L_tof_perform_single_ref_calibration81
NOP	
L__tof_perform_single_ref_calibration215:
MOVZ	R2, R0, R0
J	L_end_tof_perform_single_ref_calibration
NOP	
L_tof_perform_single_ref_calibration81:
;tof_hw.c,833 :: 		}
J	L_tof_perform_single_ref_calibration79
NOP	
L_tof_perform_single_ref_calibration80:
;tof_hw.c,835 :: 		tof_write_reg(SYSTEM_INTERRUPT_CLEAR, 0x01);
SB	R25, 12(SP)
ORI	R26, R0, 1
ORI	R25, R0, 11
JAL	_tof_write_reg+0
NOP	
;tof_hw.c,837 :: 		tof_write_reg(SYSRANGE_START, 0x00);
MOVZ	R26, R0, R0
MOVZ	R25, R0, R0
JAL	_tof_write_reg+0
NOP	
LBU	R25, 12(SP)
;tof_hw.c,839 :: 		return true;
ORI	R2, R0, 1
;tof_hw.c,840 :: 		}
;tof_hw.c,839 :: 		return true;
;tof_hw.c,840 :: 		}
L_end_tof_perform_single_ref_calibration:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _tof_perform_single_ref_calibration
