_timer_setup:
;tof_click_example.c,11 :: 		void timer_setup()
;tof_click_example.c,13 :: 		T1CON                 = 0x8010;
ORI	R2, R0, 32784
SW	R2, Offset(T1CON+0)(GP)
;tof_click_example.c,14 :: 		T1IP0_bit         = 1;
LUI	R2, BitMask(T1IP0_bit+0)
ORI	R2, R2, BitMask(T1IP0_bit+0)
_SX	
;tof_click_example.c,15 :: 		T1IP1_bit         = 1;
LUI	R2, BitMask(T1IP1_bit+0)
ORI	R2, R2, BitMask(T1IP1_bit+0)
_SX	
;tof_click_example.c,16 :: 		T1IP2_bit         = 1;
LUI	R2, BitMask(T1IP2_bit+0)
ORI	R2, R2, BitMask(T1IP2_bit+0)
_SX	
;tof_click_example.c,17 :: 		T1IF_bit         = 0;
LUI	R2, BitMask(T1IF_bit+0)
ORI	R2, R2, BitMask(T1IF_bit+0)
_SX	
;tof_click_example.c,18 :: 		T1IE_bit         = 1;
LUI	R2, BitMask(T1IE_bit+0)
ORI	R2, R2, BitMask(T1IE_bit+0)
_SX	
;tof_click_example.c,19 :: 		PR1                 = 10000;
ORI	R2, R0, 10000
SW	R2, Offset(PR1+0)(GP)
;tof_click_example.c,20 :: 		TMR1                 = 0;
SW	R0, Offset(TMR1+0)(GP)
;tof_click_example.c,21 :: 		EnableInterrupts();
EI	R30
;tof_click_example.c,22 :: 		}
L_end_timer_setup:
JR	RA
NOP	
; end of _timer_setup
_mcu_setup:
;tof_click_example.c,25 :: 		void mcu_setup()
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;tof_click_example.c,28 :: 		TOF_DRDY_DIR = 1;
SW	R25, 4(SP)
LUI	R2, BitMask(TRISE8_bit+0)
ORI	R2, R2, BitMask(TRISE8_bit+0)
_SX	
;tof_click_example.c,29 :: 		TOF_ENABLE_DIR = 0;
LUI	R2, BitMask(TRISC1_bit+0)
ORI	R2, R2, BitMask(TRISC1_bit+0)
_SX	
;tof_click_example.c,31 :: 		TOF_ENABLE = 0;
LUI	R2, BitMask(RC1_bit+0)
ORI	R2, R2, BitMask(RC1_bit+0)
_SX	
;tof_click_example.c,32 :: 		delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_mcu_setup0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_mcu_setup0
NOP	
;tof_click_example.c,33 :: 		I2C2_Init( 100000 );
LUI	R25, 1
ORI	R25, R25, 34464
JAL	_I2C2_Init+0
NOP	
;tof_click_example.c,34 :: 		delay_ms(200);
LUI	R24, 81
ORI	R24, R24, 24916
L_mcu_setup2:
ADDIU	R24, R24, -1
BNE	R24, R0, L_mcu_setup2
NOP	
NOP	
NOP	
;tof_click_example.c,35 :: 		tof_hal_init();
JAL	_tof_hal_init+0
NOP	
;tof_click_example.c,36 :: 		TOF_ENABLE = 1;
LUI	R2, BitMask(RC1_bit+0)
ORI	R2, R2, BitMask(RC1_bit+0)
_SX	
;tof_click_example.c,37 :: 		delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_mcu_setup4:
ADDIU	R24, R24, -1
BNE	R24, R0, L_mcu_setup4
NOP	
;tof_click_example.c,38 :: 		Uart5_Init(57600);
ORI	R25, R0, 57600
JAL	_UART5_Init+0
NOP	
;tof_click_example.c,39 :: 		delay_ms(200);
LUI	R24, 81
ORI	R24, R24, 24916
L_mcu_setup6:
ADDIU	R24, R24, -1
BNE	R24, R0, L_mcu_setup6
NOP	
NOP	
NOP	
;tof_click_example.c,40 :: 		Uart_Write_Text("Uart init\r\n");
LUI	R25, hi_addr(?lstr1_tof_click_example+0)
ORI	R25, R25, lo_addr(?lstr1_tof_click_example+0)
JAL	_UART_Write_Text+0
NOP	
;tof_click_example.c,42 :: 		}
L_end_mcu_setup:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _mcu_setup
_main:
;tof_click_example.c,48 :: 		void main()
ADDIU	SP, SP, -12
;tof_click_example.c,51 :: 		AD1PCFG = 0xFFFF;
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;tof_click_example.c,55 :: 		mcu_setup();
JAL	_mcu_setup+0
NOP	
;tof_click_example.c,56 :: 		model_id = tof_read_reg_16Bit(IDENTIFICATION_MODEL_ID);
ORI	R25, R0, 192
JAL	_tof_read_reg_16Bit+0
NOP	
SH	R2, Offset(_model_id+0)(GP)
;tof_click_example.c,57 :: 		timer_setup();
JAL	_timer_setup+0
NOP	
;tof_click_example.c,59 :: 		tof_init(true);
ORI	R25, R0, 1
JAL	_tof_init+0
NOP	
;tof_click_example.c,60 :: 		tof_set_timeout(500);
ORI	R25, R0, 500
JAL	_tof_set_timeout+0
NOP	
;tof_click_example.c,61 :: 		tof_start_continuous(0);
MOVZ	R25, R0, R0
JAL	_tof_start_continuous+0
NOP	
;tof_click_example.c,62 :: 		Uart_Write_Text("TOF ready\r\n");
LUI	R25, hi_addr(?lstr2_tof_click_example+0)
ORI	R25, R25, lo_addr(?lstr2_tof_click_example+0)
JAL	_UART_Write_Text+0
NOP	
;tof_click_example.c,66 :: 		while(1)
L_main8:
;tof_click_example.c,68 :: 		range = tof_read_range_continuous_millimeters();
JAL	_tof_read_range_continuous_millimeters+0
NOP	
SH	R2, Offset(_range+0)(GP)
;tof_click_example.c,69 :: 		WordToStr(range, txt);
ADDIU	R3, SP, 0
MOVZ	R26, R3, R0
ANDI	R25, R2, 65535
JAL	_WordToStr+0
NOP	
;tof_click_example.c,70 :: 		Uart_Write_Text("Range: ");
LUI	R25, hi_addr(?lstr3_tof_click_example+0)
ORI	R25, R25, lo_addr(?lstr3_tof_click_example+0)
JAL	_UART_Write_Text+0
NOP	
;tof_click_example.c,71 :: 		Uart_Write_Text(txt);
ADDIU	R2, SP, 0
MOVZ	R25, R2, R0
JAL	_UART_Write_Text+0
NOP	
;tof_click_example.c,72 :: 		Uart_Write_Text("\r\n");
LUI	R25, hi_addr(?lstr4_tof_click_example+0)
ORI	R25, R25, lo_addr(?lstr4_tof_click_example+0)
JAL	_UART_Write_Text+0
NOP	
;tof_click_example.c,74 :: 		if (tof_timeout_occurred())
JAL	_tof_timeout_occurred+0
NOP	
BNE	R2, R0, L__main15
NOP	
J	L_main10
NOP	
L__main15:
;tof_click_example.c,75 :: 		Uart_Write_Text("TIMEOUT\r\n");
LUI	R25, hi_addr(?lstr5_tof_click_example+0)
ORI	R25, R25, lo_addr(?lstr5_tof_click_example+0)
JAL	_UART_Write_Text+0
NOP	
L_main10:
;tof_click_example.c,77 :: 		}
J	L_main8
NOP	
;tof_click_example.c,80 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
_Timer1Interrupt:
;tof_click_example.c,83 :: 		void Timer1Interrupt() iv IVT_TIMER_1 ilevel 7 ics ICS_SRS
RDPGPR	SP, SP
ADDIU	SP, SP, -12
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
;tof_click_example.c,85 :: 		T1IF_bit         = 0;
LUI	R2, BitMask(T1IF_bit+0)
ORI	R2, R2, BitMask(T1IF_bit+0)
_SX	
;tof_click_example.c,86 :: 		milliseconds_counter++;
LW	R5, Offset(_milliseconds_counter+4)(GP)
LW	R4, Offset(_milliseconds_counter+0)(GP)
ADDIU	R2, R4, 1
SLTIU	R3, R2, 1
ADDU	R3, R3, R5
SW	R2, Offset(_milliseconds_counter+0)(GP)
SW	R3, Offset(_milliseconds_counter+4)(GP)
;tof_click_example.c,87 :: 		}
L_end_Timer1Interrupt:
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
ADDIU	SP, SP, 12
WRPGPR	SP, SP
ERET	
; end of _Timer1Interrupt
