_hal_delay:
;tof_hal.c,117 :: 		void hal_delay( uint16_t ms )
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;tof_hal.c,126 :: 		while ( ms-- )
L_hal_delay0:
ANDI	R3, R25, 65535
ADDIU	R2, R25, -1
ANDI	R25, R2, 65535
BNE	R3, R0, L__hal_delay14
NOP	
J	L_hal_delay1
NOP	
L__hal_delay14:
;tof_hal.c,127 :: 		Delay_1ms();
JAL	_Delay_1ms+0
NOP	
J	L_hal_delay0
NOP	
L_hal_delay1:
;tof_hal.c,129 :: 		}
L_end_hal_delay:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _hal_delay
_tof_hal_init:
;tof_hal.c,131 :: 		int tof_hal_init( void )
;tof_hal.c,176 :: 		is_idle_i2c_p               = I2C_Is_Idle_Ptr;
LW	R2, Offset(_I2C_Is_Idle_Ptr+0)(GP)
SW	R2, Offset(tof_hal_is_idle_i2c_p+0)(GP)
;tof_hal.c,177 :: 		start_i2c_p                 = I2C_Start_Ptr;
LW	R2, Offset(_I2C_Start_Ptr+0)(GP)
SW	R2, Offset(tof_hal_start_i2c_p+0)(GP)
;tof_hal.c,178 :: 		stop_i2c_p                  = I2C_Stop_Ptr;
LW	R2, Offset(_I2C_Stop_Ptr+0)(GP)
SW	R2, Offset(tof_hal_stop_i2c_p+0)(GP)
;tof_hal.c,179 :: 		restart_i2c_p               = I2C_Restart_Ptr;
LW	R2, Offset(_I2C_Restart_Ptr+0)(GP)
SW	R2, Offset(tof_hal_restart_i2c_p+0)(GP)
;tof_hal.c,180 :: 		write_i2c_p                 = I2C_Write_Ptr;
LW	R2, Offset(_I2C_Write_Ptr+0)(GP)
SW	R2, Offset(tof_hal_write_i2c_p+0)(GP)
;tof_hal.c,181 :: 		read_i2c_p                  = I2C_Read_Ptr;
LW	R2, Offset(_I2C_Read_Ptr+0)(GP)
SW	R2, Offset(tof_hal_read_i2c_p+0)(GP)
;tof_hal.c,212 :: 		return 0;
MOVZ	R2, R0, R0
;tof_hal.c,213 :: 		}
L_end_tof_hal_init:
JR	RA
NOP	
; end of _tof_hal_init
_tof_hal_write:
;tof_hal.c,220 :: 		)
ADDIU	SP, SP, -28
SW	RA, 0(SP)
;tof_hal.c,222 :: 		int res = 0;
SW	R25, 4(SP)
MOVZ	R30, R0, R0
SH	R30, 24(SP)
;tof_hal.c,223 :: 		uint8_t *ptr = buffer;
SW	R26, 20(SP)
;tof_hal.c,256 :: 		res |= start_i2c_p();
LW	R30, Offset(tof_hal_start_i2c_p+0)(GP)
SH	R27, 8(SP)
SB	R25, 10(SP)
JALR	RA, R30
NOP	
LBU	R25, 10(SP)
LH	R3, 24(SP)
OR	R2, R3, R2
SH	R2, 24(SP)
;tof_hal.c,257 :: 		res |= write_i2c_p( ( i2c_address << 1 ) | WRITE_BIT );
ANDI	R2, R25, 255
SLL	R2, R2, 1
ANDI	R25, R2, 255
LW	R30, Offset(tof_hal_write_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LHU	R27, 8(SP)
LH	R3, 24(SP)
OR	R2, R3, R2
SH	R2, 24(SP)
;tof_hal.c,258 :: 		while ( count-- )
L_tof_hal_write2:
ANDI	R3, R27, 65535
ADDIU	R2, R27, -1
ANDI	R27, R2, 65535
BNE	R3, R0, L__tof_hal_write18
NOP	
J	L_tof_hal_write3
NOP	
L__tof_hal_write18:
;tof_hal.c,259 :: 		res |= write_i2c_p( *ptr++ );
LW	R2, 20(SP)
SH	R27, 8(SP)
SW	R26, 12(SP)
SB	R25, 16(SP)
LBU	R25, 0(R2)
LW	R30, Offset(tof_hal_write_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LBU	R25, 16(SP)
LW	R26, 12(SP)
LHU	R27, 8(SP)
LH	R3, 24(SP)
OR	R2, R3, R2
SH	R2, 24(SP)
LW	R2, 20(SP)
ADDIU	R2, R2, 1
SW	R2, 20(SP)
J	L_tof_hal_write2
NOP	
L_tof_hal_write3:
;tof_hal.c,260 :: 		stop_i2c_p();
LW	R30, Offset(tof_hal_stop_i2c_p+0)(GP)
SH	R27, 8(SP)
SW	R26, 12(SP)
SB	R25, 16(SP)
JALR	RA, R30
NOP	
LBU	R25, 16(SP)
LW	R26, 12(SP)
LHU	R27, 8(SP)
;tof_hal.c,262 :: 		return res;
LH	R2, 24(SP)
;tof_hal.c,263 :: 		}
;tof_hal.c,262 :: 		return res;
;tof_hal.c,263 :: 		}
L_end_tof_hal_write:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 28
JR	RA
NOP	
; end of _tof_hal_write
_tof_hal_read:
;tof_hal.c,270 :: 		)
ADDIU	SP, SP, -28
SW	RA, 0(SP)
;tof_hal.c,272 :: 		int res = 0;
SW	R25, 4(SP)
MOVZ	R30, R0, R0
SH	R30, 24(SP)
;tof_hal.c,273 :: 		uint8_t *ptr = buffer;
SW	R26, 20(SP)
;tof_hal.c,312 :: 		res |= start_i2c_p();
LW	R30, Offset(tof_hal_start_i2c_p+0)(GP)
SH	R27, 8(SP)
SB	R25, 10(SP)
JALR	RA, R30
NOP	
LBU	R25, 10(SP)
LH	R3, 24(SP)
OR	R2, R3, R2
SH	R2, 24(SP)
;tof_hal.c,313 :: 		res |= write_i2c_p( ( i2c_address << 1 ) | WRITE_BIT );
ANDI	R2, R25, 255
SLL	R2, R2, 1
SB	R25, 10(SP)
ANDI	R25, R2, 255
LW	R30, Offset(tof_hal_write_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LH	R3, 24(SP)
OR	R2, R3, R2
SH	R2, 24(SP)
;tof_hal.c,314 :: 		res |= write_i2c_p( *ptr );
LW	R2, 20(SP)
LBU	R25, 0(R2)
LW	R30, Offset(tof_hal_write_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LH	R3, 24(SP)
OR	R2, R3, R2
SH	R2, 24(SP)
;tof_hal.c,315 :: 		stop_i2c_p();
LW	R30, Offset(tof_hal_stop_i2c_p+0)(GP)
JALR	RA, R30
NOP	
;tof_hal.c,316 :: 		Delay_ms( 5 );
LUI	R24, 2
ORI	R24, R24, 2260
L_tof_hal_read4:
ADDIU	R24, R24, -1
BNE	R24, R0, L_tof_hal_read4
NOP	
NOP	
NOP	
;tof_hal.c,317 :: 		res |= start_i2c_p();
LW	R30, Offset(tof_hal_start_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LBU	R25, 10(SP)
LH	R3, 24(SP)
OR	R2, R3, R2
SH	R2, 24(SP)
;tof_hal.c,318 :: 		res |= write_i2c_p( ( i2c_address << 1 ) | READ_BIT );
ANDI	R2, R25, 255
SLL	R2, R2, 1
ORI	R2, R2, 1
ANDI	R25, R2, 255
LW	R30, Offset(tof_hal_write_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LHU	R27, 8(SP)
LH	R3, 24(SP)
OR	R2, R3, R2
SH	R2, 24(SP)
;tof_hal.c,319 :: 		while ( --count )
L_tof_hal_read6:
ADDIU	R2, R27, -1
ANDI	R27, R2, 65535
BNE	R2, R0, L__tof_hal_read21
NOP	
J	L_tof_hal_read7
NOP	
L__tof_hal_read21:
;tof_hal.c,320 :: 		*ptr++ = read_i2c_p( ACK_BIT );
SH	R27, 8(SP)
SW	R26, 12(SP)
SB	R25, 16(SP)
LBU	R25, Offset(tof_hal_ACK_BIT+0)(GP)
LW	R30, Offset(tof_hal_read_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LBU	R25, 16(SP)
LW	R26, 12(SP)
LHU	R27, 8(SP)
LW	R3, 20(SP)
SB	R2, 0(R3)
LW	R2, 20(SP)
ADDIU	R2, R2, 1
SW	R2, 20(SP)
J	L_tof_hal_read6
NOP	
L_tof_hal_read7:
;tof_hal.c,321 :: 		*ptr = read_i2c_p( NACK_BIT );
SH	R27, 8(SP)
SW	R26, 12(SP)
SB	R25, 16(SP)
LBU	R25, Offset(tof_hal_NACK_BIT+0)(GP)
LW	R30, Offset(tof_hal_read_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LW	R3, 20(SP)
SB	R2, 0(R3)
;tof_hal.c,322 :: 		stop_i2c_p();
LW	R30, Offset(tof_hal_stop_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LBU	R25, 16(SP)
LW	R26, 12(SP)
LHU	R27, 8(SP)
;tof_hal.c,324 :: 		return res;
LH	R2, 24(SP)
;tof_hal.c,325 :: 		}
;tof_hal.c,324 :: 		return res;
;tof_hal.c,325 :: 		}
L_end_tof_hal_read:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 28
JR	RA
NOP	
; end of _tof_hal_read
_tof_hal_transfer:
;tof_hal.c,334 :: 		)
ADDIU	SP, SP, -32
SW	RA, 0(SP)
LHU	R2, 32(SP)
SH	R2, 32(SP)
;tof_hal.c,336 :: 		int res = 0;
MOVZ	R30, R0, R0
SH	R30, 28(SP)
;tof_hal.c,337 :: 		uint8_t *in = input;
SW	R26, 20(SP)
;tof_hal.c,338 :: 		uint8_t *out = output;
SW	R28, 24(SP)
;tof_hal.c,392 :: 		res |= start_i2c_p();
LW	R30, Offset(tof_hal_start_i2c_p+0)(GP)
SH	R27, 4(SP)
SB	R25, 6(SP)
JALR	RA, R30
NOP	
LBU	R25, 6(SP)
LH	R3, 28(SP)
OR	R2, R3, R2
SH	R2, 28(SP)
;tof_hal.c,393 :: 		res |= write_i2c_p( ( i2c_address << 1 ) | WRITE_BIT );
ANDI	R2, R25, 255
SLL	R2, R2, 1
SB	R25, 6(SP)
ANDI	R25, R2, 255
LW	R30, Offset(tof_hal_write_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LBU	R25, 6(SP)
LHU	R27, 4(SP)
LH	R3, 28(SP)
OR	R2, R3, R2
SH	R2, 28(SP)
;tof_hal.c,394 :: 		while ( in_count-- )
L_tof_hal_transfer8:
ANDI	R3, R27, 65535
ADDIU	R2, R27, -1
ANDI	R27, R2, 65535
BNE	R3, R0, L__tof_hal_transfer24
NOP	
J	L_tof_hal_transfer9
NOP	
L__tof_hal_transfer24:
;tof_hal.c,395 :: 		res |= write_i2c_p( *in++ );
LW	R2, 20(SP)
SW	R28, 4(SP)
SH	R27, 8(SP)
SW	R26, 12(SP)
SB	R25, 16(SP)
LBU	R25, 0(R2)
LW	R30, Offset(tof_hal_write_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LBU	R25, 16(SP)
LW	R26, 12(SP)
LHU	R27, 8(SP)
LW	R28, 4(SP)
LH	R3, 28(SP)
OR	R2, R3, R2
SH	R2, 28(SP)
LW	R2, 20(SP)
ADDIU	R2, R2, 1
SW	R2, 20(SP)
J	L_tof_hal_transfer8
NOP	
L_tof_hal_transfer9:
;tof_hal.c,396 :: 		stop_i2c_p();
LW	R30, Offset(tof_hal_stop_i2c_p+0)(GP)
SW	R28, 4(SP)
SH	R27, 8(SP)
SW	R26, 12(SP)
SB	R25, 16(SP)
JALR	RA, R30
NOP	
;tof_hal.c,397 :: 		res |= start_i2c_p();
LW	R30, Offset(tof_hal_start_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LBU	R25, 16(SP)
LH	R3, 28(SP)
OR	R2, R3, R2
SH	R2, 28(SP)
;tof_hal.c,398 :: 		res |= write_i2c_p( ( i2c_address << 1 ) | READ_BIT );
ANDI	R2, R25, 255
SLL	R2, R2, 1
ORI	R2, R2, 1
SB	R25, 16(SP)
ANDI	R25, R2, 255
LW	R30, Offset(tof_hal_write_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LBU	R25, 16(SP)
LW	R26, 12(SP)
LHU	R27, 8(SP)
LW	R28, 4(SP)
LH	R3, 28(SP)
OR	R2, R3, R2
SH	R2, 28(SP)
;tof_hal.c,399 :: 		while ( --out_count )
L_tof_hal_transfer10:
LHU	R2, 32(SP)
ADDIU	R2, R2, -1
SH	R2, 32(SP)
BNE	R2, R0, L__tof_hal_transfer26
NOP	
J	L_tof_hal_transfer11
NOP	
L__tof_hal_transfer26:
;tof_hal.c,400 :: 		*out++ = read_i2c_p( ACK_BIT );
SW	R28, 4(SP)
SH	R27, 8(SP)
SW	R26, 12(SP)
SB	R25, 16(SP)
LBU	R25, Offset(tof_hal_ACK_BIT+0)(GP)
LW	R30, Offset(tof_hal_read_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LBU	R25, 16(SP)
LW	R26, 12(SP)
LHU	R27, 8(SP)
LW	R28, 4(SP)
LW	R3, 24(SP)
SB	R2, 0(R3)
LW	R2, 24(SP)
ADDIU	R2, R2, 1
SW	R2, 24(SP)
J	L_tof_hal_transfer10
NOP	
L_tof_hal_transfer11:
;tof_hal.c,401 :: 		*out = read_i2c_p( NACK_BIT );
SW	R28, 4(SP)
SH	R27, 8(SP)
SW	R26, 12(SP)
SB	R25, 16(SP)
LBU	R25, Offset(tof_hal_NACK_BIT+0)(GP)
LW	R30, Offset(tof_hal_read_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LW	R3, 24(SP)
SB	R2, 0(R3)
;tof_hal.c,402 :: 		stop_i2c_p();
LW	R30, Offset(tof_hal_stop_i2c_p+0)(GP)
JALR	RA, R30
NOP	
LBU	R25, 16(SP)
LW	R26, 12(SP)
LHU	R27, 8(SP)
LW	R28, 4(SP)
;tof_hal.c,404 :: 		return res;
LH	R2, 28(SP)
;tof_hal.c,405 :: 		}
L_end_tof_hal_transfer:
LW	RA, 0(SP)
ADDIU	SP, SP, 32
JR	RA
NOP	
; end of _tof_hal_transfer
