#line 1 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/PIC32/tof_hal.c"
#line 1 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/pic32/tof_hal.h"
#line 1 "c:/c4w/mikroelektronika/mikroc pro for pic32/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 1 "c:/c4w/mikroelektronika/mikroc pro for pic32/include/stdbool.h"



 typedef char _Bool;
#line 27 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/pic32/tof_hal.h"
void hal_delay( uint16_t ms );
#line 35 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/pic32/tof_hal.h"
int tof_hal_init( void );
#line 47 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/pic32/tof_hal.h"
int tof_hal_write
(
 uint8_t i2c_address,
 uint8_t *buffer,
 uint16_t count
);
#line 68 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/pic32/tof_hal.h"
int tof_hal_read
(
 uint8_t i2c_address,
 uint8_t *buffer,
 uint16_t count
);
#line 87 "c:/users/viktor/desktop/klikovi/light_ranger2_click(tof)/release/pic32/tof_hal.h"
int tof_hal_transfer
(
 uint8_t i2c_address,
 uint8_t* input,
 uint16_t in_count,
 uint8_t* output,
 uint16_t out_count
);
#line 35 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/PIC32/tof_hal.c"
static uint8_t NACK_BIT = 0x01;
static uint8_t ACK_BIT = 0x00;
#line 82 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/PIC32/tof_hal.c"
static unsigned int ( *is_idle_i2c_p ) ( void );
static unsigned int ( *start_i2c_p ) ( void );
static void ( *stop_i2c_p ) ( void );
static unsigned int ( *restart_i2c_p ) ( void );
static unsigned int ( *write_i2c_p ) ( unsigned char data_out );
static unsigned char( *read_i2c_p ) ( unsigned int ack );
#line 117 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/PIC32/tof_hal.c"
void hal_delay( uint16_t ms )
{
#line 126 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/PIC32/tof_hal.c"
 while ( ms-- )
 Delay_1ms();

}

int tof_hal_init( void )
{
#line 176 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/PIC32/tof_hal.c"
 is_idle_i2c_p = I2C_Is_Idle_Ptr;
 start_i2c_p = I2C_Start_Ptr;
 stop_i2c_p = I2C_Stop_Ptr;
 restart_i2c_p = I2C_Restart_Ptr;
 write_i2c_p = I2C_Write_Ptr;
 read_i2c_p = I2C_Read_Ptr;
#line 212 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/PIC32/tof_hal.c"
 return 0;
}

int tof_hal_write
(
 uint8_t i2c_address,
 uint8_t* buffer,
 uint16_t count
)
{
 int res = 0;
 uint8_t *ptr = buffer;
#line 256 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/PIC32/tof_hal.c"
 res |= start_i2c_p();
 res |= write_i2c_p( ( i2c_address << 1 ) |  0  );
 while ( count-- )
 res |= write_i2c_p( *ptr++ );
 stop_i2c_p();

 return res;
}

int tof_hal_read
(
 uint8_t i2c_address,
 uint8_t* buffer,
 uint16_t count
)
{
 int res = 0;
 uint8_t *ptr = buffer;
#line 312 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/PIC32/tof_hal.c"
 res |= start_i2c_p();
 res |= write_i2c_p( ( i2c_address << 1 ) |  0  );
 res |= write_i2c_p( *ptr );
 stop_i2c_p();
 Delay_ms( 5 );
 res |= start_i2c_p();
 res |= write_i2c_p( ( i2c_address << 1 ) |  1  );
 while ( --count )
 *ptr++ = read_i2c_p( ACK_BIT );
 *ptr = read_i2c_p( NACK_BIT );
 stop_i2c_p();

 return res;
}

int tof_hal_transfer
(
 uint8_t i2c_address,
 uint8_t* input,
 uint16_t in_count,
 uint8_t* output,
 uint16_t out_count
)
{
 int res = 0;
 uint8_t *in = input;
 uint8_t *out = output;
#line 392 "C:/Users/Viktor/Desktop/Klikovi/Light_Ranger2_Click(TOF)/Release/PIC32/tof_hal.c"
 res |= start_i2c_p();
 res |= write_i2c_p( ( i2c_address << 1 ) |  0  );
 while ( in_count-- )
 res |= write_i2c_p( *in++ );
 stop_i2c_p();
 res |= start_i2c_p();
 res |= write_i2c_p( ( i2c_address << 1 ) |  1  );
 while ( --out_count )
 *out++ = read_i2c_p( ACK_BIT );
 *out = read_i2c_p( NACK_BIT );
 stop_i2c_p();

 return res;
}
